/**  to jest klasa ustawiajaca parametry dla snajpera
 */

public class AI_Sniper extends AIAttacker

{

    AI_Sniper()
    {
        //#DEF_BEGIN
        ScreenshotIconPath = "data/textures/icons/icon_sniper.png";
        //#DEF_END
        
        /** Tryb snipera, ale ustawiac na razie tlko na wlasna
         *  odpowiedzialnosc bo to nie dziala zbyt dobrze :-(
         */
        bSniperMode = false;
        
        /** zdrowie */
        fStartHealth = 100.0f;

        /** multipler trafienia w : torso, head , arm , leg  */
        aDamageMultipliers = new float[] { 1.f, 4.f, .6f, .6f};
        
        /** przedmioty w plecaku     */
        sItems = "Ammo8mmLong"; 
        
        /** dodatkowe przedmioty w plecaku     */
        sDefaultItems = "%30 Radio, %90 DrugHealthex";

        //** defaultowe prawdopodobiestwo na przedmiot dodatkowy w plecaku */
        nDefaultItemProbability = 50;
        
        /** Predkosc z jaka AI sie obraca */
        fAngSpeed = 180.0f;

        /** Czas co jaki mysli AI, a dokladniej zmienia decyzje co robic */
        fUpdateTime  = 0.3f;

        /** Kat widzenia AI: 0-180 [deg] */
        fAISightAngle = 90.0f;
        
        /** Odleglosc na jaka widzi AI */
        fAISightRange = 10000.0f;
        
        /** Maksymalny czas probkowania do rozpoznania wroga */
        
        
        

        /** Odleglosc, ponizej ktorej AI wyczuwa przeciwnika, nawet jak jest z tylu [cm] */
        f6thSenseRange = 300.f;

        /** Czas po jakim AI ma pomyslec */
        fThinkingTime = 0.0f;
       
        /** Czas potrzebny AI do zebrania sie po postrzale (mnozony przez
        * wartosc GetDamageMultiplier() = 0.6-3.0) [s]*/
        fRecoverTime = 1.0f;
        
        /** Czas przejscia miedzy trybami chodzenia AI tzn. WALK to DUCK. */
        fChanginModeInterval = 0.15f;
        
        /** Bron jaka AI posiada defaultowo */
        sAIWeapon = "WeaponRifleSniper";
        
        /** Ilosc poczatkowa amunicji */
        iAmmo = 2000;
        
        /** Odleglosc, ponizej ktorej AI wie gdzie jest wrog jak go slyszy */
        fMaxNoisePositionDistance = 500;
        
        
        
        
        /** Minimalny odstep czasu pomiedzy seriami pojedynczych strzalow [s]*/
        fSingleFireDelay = 3.0f;
        
        /** Losowy modyfikator dla fSingleFireDelay [s]*/    
        fRandomSingleFireDelay = 2.f;

        /** Maksymalna (max-1) ilosc kul w serii zlozonej z pojedynczych strzalow */
        nMaxSingleFireBullets = 1;

        
        /** odleglosc (w stosunku do zasiegu broni), z jakiej sniper bedzie 
         *  strzelal do celu. Wartosc w miare mala, zeby sniper strzelal jak
         *  juz faktycznie ma szanse trafic
         */
        fWeaponRangeMplr = 0.3f;
        
        /** Wspolczyniki celnosci
         */
        fAimingDeviation = 0.01f;
        fBurstAimingDeviation = 0.05f;
        fWeaAimingDeviationMplr = 0.5f;
        fWeaBurstAimingDeviationMplr = 0.9f;
        
        /** Sniper uzywa mechanizmu calkowania probek widocznosci przeciwnika
         */
        bUseSightSamplesIntegration = false;
        fInSightNecessaryRatio = 0.99f;
        fMaxSightSamplingTime = 2.f;
        
        /** Dlugosc trwania serii [s]*/
        fBurstTime = 1;
    
        /** Zakres losowania dlugosci trwania serii */
        fRandomBurstTime = 3;

        /** Odleglosc, ponizej ktorej AI probuje strzelac seria [cm]*/
        fMaxBurstDistance = 2000;
           
        /** Odleglosc powyzej jakiej AI atakuje kucajac */
        fDuckDistance = 1000.0f;
    
        /** Odleglosc powyzej jakiej AI atakuje kladac sie na ziemie */
        fCrawlDistance = 3000.0f;

        /** Zakres losowania rozrzutu pomiedzy ww odleglosciami */
        fRandomDistance = 400.0f;

        /** Czas po jakim AI wychyla sie z ukrycia jak nikt nie strzela. */
        fTimeToSurprize = 1.0f;

        /** Czas po jakim AI strzela po krzyknieciu na widok gracza [s] */
        fFirstRoundDelayTime = 0.1f;
    
        /** Zakres rozrzutu czasu po jakim AI strzela po krzyknieciu na widok gracza [s] */
        fRandomFirstRoundDelayTime = 0.5f;
    
        /** Czas po jakim AI zaczyna szukac gracza, gdy przestanie go widziec */
        fTimeToStartSearch = 1.f;
    
        /** Zakres rozrzutu czasu po jakim AI szuka gracza [s] */
        fRandomTimeToStartSearch = 2.f;

        /** Maksymalny czas losowej przerwy */
        fRandomWaitTime = 0.3f;
        
        /** Odleglosc, powyzej ktorej AI moze podbiegac */
        fStartRunUpDistance = 500.f;    
    
        /** Minimalny czas przez jaki AI podbiega, jesli wogole podbiega [s] */
        fRunUpTime = 1.5f;
    
        /** Zakres rozrzutu czasu przez jaki AI podbiega do gracza [s] */
        fRandomRunUpTime = 3.f;
        
        /** Ponizej jakiego stosunku ilosci trafien do ilosci strzalow 
         *  trzeba podbiegac jesli nReadinessToSearch > 0     */
        fMinHitRatio = 0.2f;
        
        /** Wspolczynnik 'checi dobiegania' [%] */
        nReadinessToSearch = 0;
        
		/**	wsp kuc	 */
		nReadinessToDuck = 0;

    }
    
       
    
    float  fTimeFire = 0.0f;
    public float _MIN_TIME_FIRE_TO_DEVIATION = 60.0f;
    public float _AIMING_DEVIATION_MUL       = 4.0f;
    public float _BURST_AIMING_DEVIATION_MUL = 4.0f;
    public float _AIMING_DEVIATION_MAX_TIME  = 2.0f;
    
    /*
    void FireRound()
    {
        float fLastTimeFire = fTimeFire;
        fTimeFire = GetTime();
        // sprawdzic kiedy ostatnio strzelalismy, jesli dawno
        if ( fTimeFire - fLastTimeFire > _MIN_TIME_FIRE_TO_DEVIATION )
        {
            // zwiekszyc dewiacje broni
            SetupAimingFromWeapon();
            //CrashLog("Wlaczam dodatkowa dewiacje\n");
            fAimingDeviation       *= _AIMING_DEVIATION_MUL;
            fBurstAimingDeviation  *= _BURST_AIMING_DEVIATION_MUL;
            
            // po chwili wylaczyc dewiacje
            CallMethodIn("SetupAimingFromWeapon",_AIMING_DEVIATION_MAX_TIME);
        }
        else
        {
            // dajemy domyslna dewiacje
            SetupAimingFromWeapon();
        }
     
       // if ( bUseSightSamplesIntegration == false )
       // {
       //     bUseSightSamplesIntegration = true;
       //     CrashLog("Wlaczam sniperowi bUseSightSamplesIntegration\n");
       // }
            
        if (IsPawnInSight())
        {
            //CrashLog(" Sniper strzela\n");
            super.FireRound();    
        }
        else
        {
            //CrashLog(" Sniper przerywa strzelanie\n");
            FireDone();
        }
        
    }
    */
    
    boolean UpdateHideoutParams()
    {
        if ( bSniperMode )
        {
            nHidingPos = -1;
            return false;
        }
        else 
            return super.UpdateHideoutParams();
    }
    
}
