public class ChromeTestFXModule extends ChromeModuleSingle 
{
    String []aFxName = {"FXGrzebienHeavyHEX","FXGrzebienRifleHeavy","FXGrzebienHeavyRocketLauncher","FXGrzebienHeavyElectro",
                        "FXGrzebienPistol","FXGrzebienP07",
                        "FXGrzebienRifleShort","FXGrzebienRifleShortSilenced",
                        "FXGrzebienRifle","FXGrzebienRifleSniper",
                        "FXGrzebienRifleSniperHeavy"};
    
    String []aWeaponName = {"WeaponHeavyHEX","WeaponRifleHeavy","WeaponHeavyRocketLauncher","WeaponHeavyElectro",
                            "WeaponPistol","WeaponPistolSilenced","WeaponPistolHeavy",
                            "WeaponRifleShotgun","WeaponRifleShort","WeaponRifleShortSilenced",
                            "WeaponRifle","WeaponRifleSniper","WeaponRifleSniperHeavy","WeaponRifleMachineGun"};
    
    String []aAmmoName = {"Ammo12mmShort","Ammo14mmLong","Ammo8mmLong","Ammo9mmShort","AmmoEnergy",
                          "AmmoHEX","AmmoNeedles","AmmoShotgun"};
    
    int nFxIndex = 0;
        
    void OnCreate()
    {
        super.OnCreate();
        
        Vector vTemp = MainPlayer.GetPosition();
        vTemp.fY = vTemp.fY + 100.0f;
        
//        MainPlayer.ActiveWeapon.nAmmo = Integer.MAX_VALUE - 1;
        for ( int nIndex = 0; nIndex < aWeaponName.length ; nIndex++ )
        {
            Weapon cAddWeapon  = (Weapon)CreateObject(aWeaponName[nIndex]);
            vTemp.fZ = vTemp.fZ + 150.0f;
            cAddWeapon.nAmmo = Integer.MAX_VALUE - 1;
            cAddWeapon.SetPosition(vTemp);
            cAddWeapon.ActivateOnModule();
        }

        vTemp = MainPlayer.GetPosition();
        vTemp.fY = vTemp.fY + 100.0f;
        vTemp.fX = vTemp.fX + 1000.0f;

        for ( int nIndex = 0; nIndex < aAmmoName.length ; nIndex++ )
        {
            Ammo cAddAmmo  = (Ammo)CreateObject(aAmmoName[nIndex]);
            vTemp.fZ = vTemp.fZ + 150.0f;
            cAddAmmo.SetPosition(vTemp);
            cAddAmmo.ActivateOnModule();
        }
        
        InvObject Obj  = (InvObject)CreateObject("Radio");
        Obj.Execute(MainPlayer);
        
        Obj  = (InvObject)CreateObject("TimeBomb");
        Obj.Execute(MainPlayer);
        
        /*Weapon cAddWeapon  = (Weapon)CreateObject("WeaponHeavy01");
        cAddWeapon.Execute(MainPlayer);
        
        cAddWeapon  = (Weapon)CreateObject("WeaponHeavyHEX");
        cAddWeapon.Execute(MainPlayer);
        
        cAddWeapon  = (Weapon)CreateObject("WeaponRifleHeavy");
        cAddWeapon.Execute(MainPlayer);*/
    }

    public void FlyingFlashGrenade()
    {
        AmmoGrenadeFlashFree cGrenade = (AmmoGrenadeFlashFree)CreateObject("AmmoGrenadeFlashFree");
        
        cGrenade.SetPosition(MainPlayer.GetPosition());
        cGrenade.ActivateOnModule();

        Vector vDir = MainPlayer.GetForwardVector();
        vDir.Normalize();
        vDir.fY = 0.5f;
        
        cGrenade.Init(null);
        cGrenade.Start(10, vDir);
    }
    
    
    void OnInputKey(int nKeyCode, boolean bKeyState, char nKeyAscii)
    {
        super.OnInputKey(nKeyCode,bKeyState,nKeyAscii);
        
        if (bKeyState)
        {
            if (nKeyCode== EKey._F1)
                FlyingFlashGrenade();
        }
        
        if(nKeyCode==EKey._HOME)
        {
            if(bKeyState)
            {
                nFxIndex++;
                if (nFxIndex > aFxName.length ) nFxIndex = 0;
                MainPlayer.ActiveWeapon.sFXCombName = aFxName[nFxIndex];
                LogLine("Aktualny Fx dla grzebienia broni to" + aFxName[nFxIndex]);
            }
        }
        
        if(nKeyCode==EKey._END)
        {
            if(bKeyState)
            {
                nFxIndex--;
                if (nFxIndex < 0 ) nFxIndex = aFxName.length ;
                MainPlayer.ActiveWeapon.sFXCombName = aFxName[nFxIndex];
                LogLine("Aktualny Fx dla grzebienia broni to" + aFxName[nFxIndex]);
            }
        }
    }
}
