public class DoorsObjectButton extends AnimatedScreen
{
    /** Ustawiana w edytorze winda kontrolowana przez guzik  */
    public Object cControlledDoors = null;//#DOORS_BUTTON
 
    /** Flaga mowi czy drzwi po otwarciu maja sie otworzyc */
    public boolean bOpenAfterUnlock = false;//#DOORS_BUTTON

    String sUseSound = "Data/Sounds/doors/LockSystemAccept.wav";//#DOORS_BUTTON
    
    DoorsObject cDoors = null;

    DoorsObjectButton()
    {
        sMaterialsList = "Ekran1GreenOff.mat;Ekran1GreenOn.mat";
        nStartupScreenIdx = 0;
    }
    
    public void OnCreate()
    {
        super.OnCreate();

        // ustawiamy winde
        cDoors = (DoorsObject)cControlledDoors;

        if(cDoors==null)
        {
            CrashLog("[DoorsObjectButton.OnCreate] No controlled doors selected\n");
        }
        else
            cDoors.Lock();
        SetScreen(0);
        bActiveTrigger = true;
        fHealth = 1e9f;//HAK!!!
    }

    String GetTip()
    {
        return "&OPEN_DOORS&";
    }

    void Execute( Actor executor )
    {
        if(cDoors==null) return;

        if(bOpenAfterUnlock)
            cDoors.LockOpened();
        else
            cDoors.Unlock();
        
        SetScreen(1);
        PlaySound(sUseSound);
        bActiveTrigger = false;
    }
}
