public class DoorsObjectTerminal extends DoorsObjectButton
{
    /** Nazwa obiektu karty, ktora otwiera zadane drzwi */
    public String sRequiredCardName = "KeyCard";//#DOORSOBJECTTERMINAL
    
    void Execute( Actor executor )
    {
        boolean bCardOK = false;
        
        if (sRequiredCardName != null &&
            sRequiredCardName.length() > 0 &&
            executor instanceof Pawn)
        {
            Pawn cPawn = (Pawn)executor;
            if (cPawn.cInventory.GetByName(sRequiredCardName) == null)
                cPawn.TextMessage("&KEYCARD_NEEDED_1&"+" "+sRequiredCardName+" "+"&KEYCARD_NEEDED_2&");
            else
                bCardOK = true;
        }
        else
            bCardOK = true;
        
        if (bCardOK)
            super.Execute(executor);
    }
}
