public class FXConcreteAmmo extends FX
{
    FXConcreteAmmo()
    {
        /**********************************************************/
        Sequence("ConcreteBulletEnergy");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                Duration(100);
                BlendMode(_BLEND_MUL);
            }
        }        
        
        TraceClipped("ConcreteBulletEnergy");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexConcreteBulletEnergy");
            TextureRepeat(1);
            Size();
            {
                v(10,10);
            }
            Alpha();
            {
                v(1);
            }
        }             
        
        /**********************************************************/
        Sequence("ConcreteBulletLarge");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlackSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("ConcreteBulletLarge");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(14,14);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("ConcreteBulletLarge");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(4);
			ParticleTrailTexture("FXTexIskra");
			ParticleTrailBlendMode(_BLEND_ADD);
	
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexGroundParticle");
                BlendMode(_BLEND_MUL);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(2,4);
                }
				
				RandomRotation();
				
				{
                    v(0,0,0);
					v(0,0,360);
                }
             }
        }
        /**********************************************************/
        
        Sequence("ConcreteBulletSmall");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlackSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("ConcreteBulletSmall");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundBulletSmall");
            TextureRepeat(1);
            Size();
            {
                v(7,7);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("ConcreteBulletSmall");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(3);
			ParticleTrailTexture("FXTexIskra");
			ParticleTrailBlendMode(_BLEND_ADD);
	
			
			
			
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexGroundParticle");
                BlendMode(_BLEND_MUL);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(1,3);
                }
				RandomRotation();
				
				{
                    v(0,0,0);
					v(0,0,360);
                }
				
				
             }
        }
        
        /**********************************************************/
        
        Sequence("ConcreteCannon");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlackSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("ConcreteCannon");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(14,14);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("ConcreteCannon");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,1100);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(4);
			ParticleTrailTexture("FXTexIskra");
			ParticleTrailBlendMode(_BLEND_ADD);
	
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexGroundParticle");
                BlendMode(_BLEND_MUL);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(4,6);
                }
             }
        }
        
    }
}

