public class ObjectsDetectorDotSprite extends Sprite
{
    float m_fFadeTime = 0.75f;
    float m_fAlpha = 1;
    
    void OnCreate()
    {
        ActivateOnModule();
    }
    
    public void Show()
    {
        m_fAlpha = 1;
        SetAlpha(m_fAlpha);
        super.Show();
        CallOnFrameWhileHidden(true);
    }
    
    float m_fLastFrameTime = 0;
    
    public void OnPostUpdate()
    {
        OnFrame();
    }
    
    
    public void OnFrame()
    {
        float fFadeSpeed = 1f/m_fFadeTime;//1 bo to maksymalna droga alphy od 1 do 0
        float fTime = GetTime();
        if (m_fAlpha > 0)
        {
            float fTimeDelta = fTime - m_fLastFrameTime;
            m_fAlpha -= fFadeSpeed * fTimeDelta;
            if (m_fAlpha < 0)
                m_fAlpha = 0;
            
            SetAlpha(m_fAlpha);
        }
        m_fLastFrameTime = fTime;
    }
    
    public void Hide()
    {
        super.Hide();
    }
}
