/** klasa reprezentujaca sprite'a mapy na HUDZIE
 */
public class SpriteHUDMap extends Sprite
{
    /** referencja do HUDMap */
    public HUDMap cHUDMapRef = null;
	
    boolean bLDown = false;
    
    void OnLBDown(float fMouseX, float fMouseY)
	{
        cHUDMapRef.SetDestPoint(fMouseX, fMouseY);
        bLDown = true;
	}
    
    void OnLBUp(float fMouseX, float fMouseY)
    {
        bLDown = false;
    }

    void OnRBDown(float fMouseX, float fMouseY)
	{
        if (!bLDown)
            return;
        
        ChromeModule cModule = (ChromeModule)cHUDMapRef.GetModule();
        //if(cModule instanceof ChromeModuleSingle)
        {
            if(!Game.cSingleton.bCheats) return;
            
	        if ( (cHUDMapRef == null) || (cHUDMapRef.GetModule() == null) )
	        	return;
	        
            //kurwa, z w sieci to mi sie moze nie przyda, co?
            /*ChromeModuleSingle mod = (ChromeModuleSingle)cModule;
	        if (mod.MainPlayer == null)
	        	return;*/
            if ( cModule.GetMainPlayer() == null )
                return;
            
	        Vector vNewPos = cHUDMapRef.GetWorldPos(fMouseX, fMouseY);
	        vNewPos.fY = cModule.TerrainHeight(vNewPos.fX, vNewPos.fZ) + 1f;
	        	
	        Vector vStart = new Vector(vNewPos);
	        vStart.fY += 10000f;
	        	
	        Collision col = cModule.TraceObjects(vStart, vNewPos);
	        col = cModule.TraceTrees(vStart, vNewPos);
	        vNewPos.fY += 1f;
	        	
            if ( Role == ERole._AUTHORITY ) 
	            cModule.GetMainPlayer().SetPositionWorld( vNewPos );
            else
            {
                //TODO: dorobic teleport na klientach
            }
        }
	}
}
