/** Klasa obiektu gadajacej glowy, rozni sie tym od AnimActora, ze
 * w zasadzie tylko rusza ustami (bez odpalania subtitli i wave'a)
 * Ponadto mozna odpalic animacje kiwania glowa
 */
public class TalkingHead extends AnimActor
{
    String sHeadAnimName = null;
    String sSkin = null;
    
    TalkingHead()
    {
        bSubtitlesAvailable = false;
        bPlayWave           = false;
        
        fMorphTime          = 0.12f;
        fLipsMorphTime      = 0.12f;//0.15;
    }
    
    public void OnCreate()
    {
        super.OnCreate();

        ClearFlag( EFlags._NO_ANIMATION );
        
        if(sSkin != null) SetSkin(sSkin);
    }
 
    public void Speak(String sWave)
    {
        DisableCallMethod( "StopText" );
        
        super.Speak( sWave );
        
        // zapetlona animacja kiwania glowa        
        if ( sHeadAnimName != null )
        {
            PlayAnim( "", sHeadAnimName, -1 );
            LogD(" PlayAnim "+sHeadAnimName+"\n");
        }
    }

}
