public class HintTutorial extends Hint
{
	static int m_nIDModifier = 100;
	static float _TIME_TO_INFO_TEXT = 6f;
	
	HintTutorial() {}
	
    HintTutorial(int iHintNo)
    {
		m_fMinTimeToDisplay = 0f;
        m_nId = m_nIDModifier + iHintNo;
		if (iHintNo < 10)
			m_sText = "&T00-0" + iHintNo + "0-010&";
		else
			m_sText = "&T00-" + iHintNo + "0-010&";
	
		if ( (iHintNo == 3) || (iHintNo == 16) )
			m_fDisplayTime = _TIME_TO_INFO_TEXT;
		else
			m_fDisplayTime = 100000f;
    }
    
    void IncomingMessage(int nId)
    {
        if ( (nId == m_nId) && (m_cHintManager.m_cActiveHint == this) )
			SetToRemove();
    }
	
    void DisplayStarted()
    {
		// jezeli mamy do czynienia z pierwszym hintem
		if (m_nId == m_nIDModifier + 1)
		{
			if (m_cHintManager.GetModule() instanceof Level00)
			{
				Level00 level00 = (Level00) m_cHintManager.GetModule();
//				if (level00.m_bChestOpened)
//					level00.MessageToHints(HintManager._MSG_TUTORIAL_STEP1_ENDED);
			}
		}
    }
}
