/** klasa reprezentujaca Inventory AI
 */

public class InventoryAI extends Inventory
{
    /** konstruktor 
     */
    public void OnCreate()
    {
        super.OnCreate();
     
        //tworze i inicjalizuje gridy
		
	    aInvGrids = new InvGrid[1];
		aInvGrids[0] = new InvGrid(); //(InvGrid)CreateObject("InvGrid");
		aInvGrids[0].InitializeGrid(_AI_GRID);

    }
    
    public void InitInvGrid(UIWindow cInvWindow)
    {
        aInvGrids[0].InitializeGrid(_AI_GRID, cInvWindow);
        bGridInited = true;
    }
 
    public boolean RemoveInvObject(InvObject iObj)
    {
        if (iObj != null &&
            iObj.Owner != null && 
            ((Pawn)iObj.Owner).ActiveWeapon == iObj)
        {
            //CrashLog("REMOVING ACTIVE WEAPON FROM AI!!!\n");
            ((Pawn)iObj.Owner).ActiveWeapon = null;
        }
        return super.RemoveInvObject(iObj);
    }
    
    public Vector FindCellGridMission(InvObject obj)	
    {
        return FindCellGrid(obj);	
    }
//------------------------------------------------------------
}
