/**Mala rakieta, do "odkurzacza", tak naprawde to jest to bron energetyczna*/
public class RocketHEX extends Rocket
{
    RocketHEX()
    {
        bNoLight = true;
        
        fFXUpdateTime = 0.01f;
        bNoLight = true;
        MeshName= "Data/interface/Zarowka.3DA";
        fHealth = 1.0f;
        fStartSpeed = 7000.0f;
        fDamage = 300.0f;
        fPhysicsSimDamage = 2000;
        fBlastDamage = 400.0f;
        fDirectHitDamage = fBlastDamage;
        fPhysicsSimBlastDamage = 2000;
        fBlastRadius = 600.0f;
        fExplosionNoiseDistance = 2000.f;
        fTimeToLive = 2f;
        //TODO zmienic na prawidlowy
        sFXHitName = "FXBlowRocketHEX";
        sFXSmokeName = "FXRocketHEXSmoke";
        //TODO zmienic na prawidlowy
        sSoundExplodeName = "data/sounds/weapon/GrenadeExplosion.wav";
        /*
        fMaxSpeed   = 10000.0f;
        fAccelerate = 3400.0f;
        
        sSoundFlyName = "Data/Sounds/Weapon/RocketFlyFF.wav";
        */
        
        fSpeedUpdateTimer = 0f; // nie ma sie wolac speedupdate
    }
    
    public void OnCreate()
    {
        super.OnCreate();
        //EnableRendering(false);
    }
    
    public class Flying extends Rocket.Flying 
    {   
        public void OnEnter()
        {
            super.OnEnter();
            EnableRendering(false);
        }
        
        /**Gdy czegos dotkniemy odbieramy energie*/
        public void OnCollisionFullInfo(ControlObject Col,Vector vPoint,Vector vNormal)
        {
            // dodatkowe sprawdzenie bezposredniego trafienia samego siebie
            if(Col == Owner)
                return;
            
            if ( Col instanceof Actor )
            {
                //zanegowana normalna to wektor z kierunku ktorego dostajemy
                // obrazenia
                vNormal.Negate();
                
                if ( Role == ERole._AUTHORITY )
                {
                    ((ControlObject)Col).TakeDamage(fDamage, fPhysicsSimDamage, Owner, 
                                                vPoint, vNormal,
												EBones._NON_BONE, EnumDamageType._BULLET);
                }
            }
            
            Explode();
        }
        
        void FXUpdate()
        {
            float fTime = GetTime();

            if (fLastFxTime == fTime)
                return; //nie odpalamy wiecej niz jednego fxa w ramce
            
            fLastFxTime = fTime;

            Vector vPos = GetPosition();
            Vector vDir = new Vector(vPos);
            vDir.Sub(vLastUpdatePos);
            float fLen = vDir.Len();
            vDir.Normalize();
            vDir.Mul(fFXUpdateDist);
            while (fLen > fFXUpdateDist)
            {
                ExecuteFX(sFXSmokeName, vLastUpdatePos);
                vLastUpdatePos.Add(vDir);
                fLen -= fFXUpdateDist;
            }
            
            if (!bExploded)
            {
                CallMethodIn("FXUpdate",fFXUpdateTime);
            }
        }
    }
    
    
    void ExplosionSpecialEffects()
    {
        Vector vPos = GetPosition();
        ExecuteFX( sFXHitName, vPos );
		PlaySound( sSoundExplodeName, vPos );
    }
    
    
    /*void MakeDamageInTime( float fTimeDelay, Vector vPos )
    {
        //zadajemy tyko obrazenia od trafienia
    }*/
}
