/** DEPRECATED !*/
public class WeaponBurbot extends WeaponBullet
{
    WeaponBurbot()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPpistol3.3DA";
        
        //Weapon
        nType = EWeaponType._RIFLE;

        //InvObject properites
        nInvIndex = InvObject._E_W_BURBOT;
        sName = "WeaponBurbot";
        sInfo = "WeaponBurbot";
        sTexFileName = "Data/Textures/CH_I_Weapons1.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 40.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 0;
	    nCellsWidth = 0;
		
        //WeaponPistol properties
        fAimAcc   = 0.17f;
        
        vRecoilShift = new Vector(0, 0, 0);

        fDamage             = 20.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 27500.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 600.0f;
	    eBulletType         = EAmmoType._9mmShort;
		nCapacity		    = (int)1e10;
		bMountable          = false;

		fNoiseShot = 10000.0f;
		fNoiseHit  = 500.0f;

        sFPPHandsClass = "FPPHandsBurbot"; // pistolet maszynowy
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/B01_Fire";
        sSoundReload = "Data/Sounds/Weapon/B01_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/B01_Click";
        
		/**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienRifle";

        vBarrelElementPos = new Vector(0.0f, 10.0f, 60.0f);
    }
    
    /** Strzelanie pociskami
     */
    void Fire(Vector vBarrel, Vector vDir)
    {
        fLastShotT = GetTime();        

        Vector vShift = Owner.GetRightVector();
        
        //strzelamy z 1 lufy
        vShift.Mul(50);
        vBarrel.Add(vShift);
        float fDist = FireBullet(vBarrel, vDir);
        
        //strzelamy z 2. lufy
        vShift.Mul(-2);
        vBarrel.Add(vShift);
        FireBullet(vBarrel, vDir);

        // dodajemy efekty zwiazane z wystrzalem
        // wczesniej nalezy ustawic odowiednie pola FXa
        fFXPosY = fDist * .5f;
        fFXSizeY = fDist;

/*        
        if(sFXCombName!=null)
            OwnerExecuteFXBarrel(sFXCombName);
*/
        if(nSoundShoot == 1)
            PlaySound(sSoundShoot, vBarrel);
        else
        {
            PlaySound(sSoundShoot + "0"+ String.valueOf(RandomInt(nSoundShoot)+1), vBarrel);
        }

        Owner.MakeNoise(fNoiseShot, Pawn._NOISE_WEAPON_FIRING);
    }


}
