public class EChromeOptionsUI extends EUI
{
    final static float P256 = 1.0f/256.0f;
    final static float P1024 = 1.0f/1024.0f;
    
    final static int ID_BTN_CONTROLS  = 301; 
    final static int ID_BTN_VIDEO     = 302;
    final static int ID_BTN_AUDIO     = 303;
    final static int ID_BTN_BACK      = 304;
    
    //-----------------------------------------------------------------------
    
    static UIElement Button_Controls = new UIElement(
        ID_BTN_CONTROLS,0,
        new Vector(192,100 + 73,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&CONTROLS&"
        );
    
    static UIElement Button_Video = new UIElement(
        ID_BTN_VIDEO,0,
        new Vector(192,134 + 73,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&VIDEO&"
        );
    
    static UIElement Button_Audio = new UIElement(
        ID_BTN_AUDIO,0,
        new Vector(192,168 + 73,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&AUDIO&"
        );
    
    static UIElement Button_Back = new UIElement(
        ID_BTN_BACK,0,
        new Vector(192,202 + 73,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&BACK&"
        );
}
