public class UIListBoxButtonDouble extends ChromeListBox
{
    public void OnInit()
    {
        super.OnInit();
        RegisterMouseAxisRequest();
        RegisterMouseButtonRequest();
    }
	
	UIMenuButton CreateButton()
    {
        return (UIMenuButton)CreateObject("MenuButtonDouble");
    }    
	
	void UpdateList()
    {
		super.UpdateList();
		UIWindow wndTmp;
        for (int i = 0; i < vItems.size(); i++)
        {
            wndTmp = ((UIWindow)vItems.elementAt(i));
			if (wndTmp.IsActuallyVisible())
				wndTmp.Reload();
        }
	}
    
    void OnInputMouseAxis(int nAxis, int nDelta)
    {
        MenuButtonDouble cSelected = (MenuButtonDouble)GetSelected();
        if (cSelected != null)
        {
            //czy czasem nie ustawiamy jakiegos klawisza
            if (cSelected.m_cEdit.GetCheck())
            {
                return;
            }
        }
        super.OnInputMouseAxis(nAxis, nDelta);
    }
}
