public class bhv_PlayRandomAnim extends ChromeBehavior
{
	static float _TIME_BTW_END_CND_CHECK = 0.1f;
	
    /** Animacje do odtworzenia */
    public AnimObject[] aAnims = null;//#ChromeBehavior;Animations to play

    /** Warunek zakonczenia behaviora */
    public Condition cEndCondition = null;//#ChromeBehavior;If condition is true the behavior will be ended
	
    java.util.ArrayList m_cAIList = null;
    
    public bhv_PlayRandomAnim()
    {
        m_ValidScenarios.SetBit(EditorPlayRandomAnims._ID);
    }
    
    public void OnCreate()
    {
        super.OnCreate();
        bSG = true;
    }
	
    public void StartActivity(AIController ai)
	{
        if (m_cAIList == null)
            m_cAIList = new java.util.ArrayList();
        
        m_cAIList.add(ai.GetMesh());
        
        if (m_cAIList.size() == 1)
    		CallMethodEvery("CheckCondition", _TIME_BTW_END_CND_CHECK);
	}
    
    public void StopActivity(AIController ai)
	{
	}
	
	public void CheckCondition()
	{
		if (ConditionTrue())
        {
            for (int i = 0; i < m_cAIList.size(); i++)
                ((NewAI)m_cAIList.get(i)).GetController().ServeNextWaypointActivity();
            
            m_cAIList.clear();
            
    		DisableCallMethod("CheckCondition");
        }
	}
	
    boolean ConditionTrue()
    {
        return ( (cEndCondition == null) ||
				 ( (cEndCondition != null) && cEndCondition.Evaluate() ) );
    }
    
    //*********************************************************
    //					SaveGame
    //*********************************************************
    
    public void SGLoadChunk(FileChunk cParentFC)
    {
		FileChunk.Log("[bhv_PlayRandomAnim.SGLoadChunk]\n");
		
		FileChunk cFC = GameObject.LoadChunk(cParentFC);
		
        if (cFC.GetID() == ESGChunksChrome._CHK_BHV_PLAY_RANDOM_ANIM)
        {
			super.SGLoadChunk(cFC);
			
			int size = cFC.LoadInt();
			if (size > -1)
			{
				m_cAIList = new java.util.ArrayList(size);			
				for (int i = 0; i < size; i++)
					m_cAIList.add(cFC.LoadObjectRef());			
			}
			else
				m_cAIList = null;
        }
		
		cFC.delete();
    }


    public void SGSaveChunk(FileChunk cFCParent)
    {
		FileChunk.Log("[bhv_PlayRandomAnim.SGSaveChunk]\n");
		
        FileChunk cFC = NewChunk(ESGChunksChrome._CHK_BHV_PLAY_RANDOM_ANIM, cFCParent);
		
		super.SGSaveChunk(cFC);

		if (m_cAIList != null)
		{
			cFC.SaveInt(m_cAIList.size());
			for (int i = 0; i < m_cAIList.size(); i++)
				cFC.SaveObjectRef((ISaveGame)m_cAIList.get(i));
		}
		else
			cFC.SaveInt(-1);
		        		        
        cFC.delete();
    }	
    
    public void SGUpdate()
    {
		FileChunk.Log("[bhv_PlayRandomAnim.SGUpdate]\n");
        super.SGUpdate();
    }
}
