// akcja zmienia parametry renderowania
public class InstantChangeVisParams extends InstantAction
{
    // zasieg na jakim obiekt sie wyfejdowuje
    public float fVisRangeObjectsBlend = 0.0f;//#OBJECTS
    
    // zasieg na jakim obiekty znikaja
    public float fVisRangeObjects = 0.0f;//#OBJECTS
    
    public float fFogNear = 0.0f;//#FOG
    
    public float fFogFar = 0.0f;//#FOG
    
    public float fFogDensity = 0.0f;//#FOG
    
    public void Invoke()
    {
        if(fVisRangeObjectsBlend > 0.0f && fVisRangeObjects > 0.0f)
            SetObjectsVisibilityRange(fVisRangeObjectsBlend, fVisRangeObjectsBlend);
        
        if(fFogNear > 0.0f) GetModule().FogSetNear(fFogNear);
        if(fFogFar > 0.0f) GetModule().FogSetFar(fFogFar);
        if(fFogDensity > 0.0f) GetModule().FogSetDensity(fFogDensity);
    }
}
