public class mt_GetOut extends ChromeMotionType
{
    public mt_GetOut()
    {
        m_ValidScenarios.SetBit(EditorGetInOut._ID);
    }
	
	public void OnCreate()
	{
		bCritical = true;
	}

    public void StartActivity(AIController ai)
    {
        if (ai.IsDead())
            return;
        
        ai.m_bSitsInVehicleOnSeat = false; // ai zaczyna wychodzic z pojazdu, nie siedzi juz w fotelu
    }
	
    public void StopActivity(AIController ai)
    {
        if (ai.IsDead())
            return;
        
		if (ai.GetMesh().GetOut())
		{
			ai.GotOut(); // wysiedlismy
			ai.SetObjectToGetIn(null, null);
			ai.SetObjectToDrive(null);
		}
	}
}
