public class ParamVisibilityFactor extends Param
{
    {sEditorComment = "Sets visibility factor for particular motion speed for player";}

    public ipar_VisibilityFactor cTarget = null;//#\;Object which visibility factor should be changed

    public EnumMotionSpeeds cSpeed = new EnumMotionSpeeds(EnumMotionSpeeds._WALK);//#\;MotionSpeed we are changing visibility for

    public float fVisibilityFactor = -1f;//#\;New visibility factor for given MotionSpeed (when < 0 - leave unchanged)
    
    public void ChangeParam()
    {
        if ( (cTarget != null) && (fVisibilityFactor >= 0) )
            cTarget.SetVisibilityFactor(cSpeed.GetValue(), fVisibilityFactor);
    }
}
