import java.util.zip.*;

public class FileCRCCounter
{
    String sFileName = null;
    int iStartPos = -1;
    int iEndPos = -1;
    int iFileID = -1;
    
    public void Set(String sFileName, int iStartPos, int iEndPos)
    {
        this.sFileName = sFileName;
        SetStartEnd(iStartPos, iEndPos);        
    }
    
    public void SetStartEnd(int iStartPos, int iEndPos)
    {        
        if (iStartPos < iEndPos ||
            iEndPos == -1)
        {
            this.iStartPos = iStartPos;
            this.iEndPos = iEndPos;
        }
        else
        {
            this.iStartPos = iEndPos;
            this.iEndPos = iStartPos;
        }        
    }
    
    public String GetFileName()
    {
        return sFileName;
    }
    
    public int GetStartPos()
    {
        return iStartPos;
    }
    
    public int GetEndPos()
    {
        return iEndPos;
    }
    
    public int Count()
    {
        return GameObject.FileCRC32(sFileName, iStartPos, iEndPos);
    }
    
    public void SetFileID(int iID)
    {
        iFileID = iID;
    }
    
    public int GetFileID()
    {
        return iFileID;        
    }
}
