public class CommandMapSetDefaultParams extends ConsoleCommand
{
    CommandMapSetDefaultParams()
    {
        super();
        m_nRequiredAdminRights  = EAdminRights._STANDARD;
        m_bResultsToAll         = true;
    }
    
    void Perform()
    {
        if (( m_cGameInfo                   == null )||
            ( m_cGameInfo.GetGameSettings() == null ))
        {
            return;
        }
        m_cGameInfo.GetGameSettings().SetDefaultSettings();
        m_cGameInfo.EventGameSettingsChanged();
    }
}
