public class LoggedUsersList extends ObjectsList
{
    void Add( LoggedUserInfo cUser )
    {
        super.Add( cUser );
    }
    
    /** pobranie usera po indeksie
     */
    LoggedUserInfo GetUserAt(int nIndex)
    {
        Object cObj = GetObjectAt( nIndex );
        return (cObj instanceof LoggedUserInfo)?(LoggedUserInfo)cObj:null;
    }
    
    LoggedUserInfo GetUserByHostId(int nHostId)
    {
        for ( int i = 0; i < GetSize(); ++ i )
        {
            LoggedUserInfo cUserInfo = GetUserAt( i );
            if ( cUserInfo == null )
                continue;
            
            if ( cUserInfo.GetHostId() == nHostId ) 
                return cUserInfo;
        }
        return null;
    }
}
