public class UsersList extends ObjectsList
{
    void Add( UserInfo cUser )
    {
        super.Add( cUser );
    }
    
    /** pobranie usera po indeksie
     */
    UserInfo GetUserAt(int nIndex)
    {
        Object cObj = GetObjectAt( nIndex );
        return (cObj instanceof UserInfo)?(UserInfo)cObj:null;
    }
    
    UserInfo GetUserByUserName(String sUserName)
    {
        if ( ! NetGameTools.IsStringValid( sUserName ) )
            return null;
        
        for ( int i = 0; i < GetSize(); ++ i )
        {
            UserInfo cUserInfo = GetUserAt( i );
            if ( cUserInfo == null )
                continue;
            
            if ( sUserName.equals( cUserInfo.GetUserName() ) )
                return cUserInfo;
        }
        return null;
    }
}
