/** Klasa zawierajaca neizbedne informacje do wyspawnowania 
 * obiektu
 * Podstawowe informacje : pozycje i kierunek
 */
public class SpawnInfo
{
    Vector  m_vPos          = null;
    Vector  m_vDir          = null;
    Vector  m_vUp           = null;
        
    SpawnInfo( ControlObject cObj )
    {
        if ( cObj == null )
            return;
        m_vPos = cObj.GetPosition();
        m_vDir = cObj.GetForwardVector();
        m_vUp  = cObj.GetUpVector();
    }
    
    SpawnInfo( SpawnInfo cSpawnInfo )
    {
        if ( cSpawnInfo == null )
            return;
        m_vPos = cSpawnInfo.m_vPos;
        m_vDir = cSpawnInfo.m_vDir;
        m_vUp  = cSpawnInfo.m_vUp;
    }
}
