/** Klasa zawierajaca niezbedne informacje do wyspawnowania 
 * obiektu pojazdu
 */

public class VehicleSpawnInfo extends SpawnInfo
{
    Vehicle m_cVehicle      = null;
    
    float   m_fHealth       = 0.0f;
     
    VehicleSpawnInfo( Vehicle cVehicle )
    {
        super( cVehicle );
        SetVehicle( cVehicle );
    }
    
    VehicleSpawnInfo( Vehicle cVehicle, SpawnInfo cSpawnInfo )
    {
        super( cSpawnInfo );
        SetVehicle( cVehicle );
    }
    
    void SetVehicle(Vehicle cVehicle)
    {
        if ( cVehicle == null )
            return;
        m_cVehicle = cVehicle;
        m_fHealth  = cVehicle.fHealth;
    }
}
