public class UIRotorTextNet extends UIRotorText
{
    int AddElem( float fAngle, NetHudMapSprite cNetHudMapSprite )
    {
        RotorTextElementNet cElem = new RotorTextElementNet();
        
        cElem.AddElem( fAngle, cNetHudMapSprite );
        m_cElements.addElement( cElem );
        cElem.m_nIndex = _idx;
        _idx ++;
        return m_cElements.indexOf( cElem );
    }
    
    public class RotorTextElementNet extends UIRotorText.RotorTextElement
    {
        NetHudMapSprite m_cNetHudMapSprite = null;
       
        
        void UpdateTexture(NetHudMapSprite cNetHudMapSprite)
        {
            if (cNetHudMapSprite.m_nTexture == m_cObjectPoint.m_cNormalTexture.m_nId &&
                cNetHudMapSprite.m_nTexturePosX == m_cObjectPoint.m_cNormalTexture.m_rRect.fLeft &&
                cNetHudMapSprite.m_nTexturePosY == m_cObjectPoint.m_cNormalTexture.m_rRect.fRight)
                return;
                
            
            float fTexX = cNetHudMapSprite.GetTextureWidth(cNetHudMapSprite.m_nTexture);
            float fTexY = cNetHudMapSprite.GetTextureHeight(cNetHudMapSprite.m_nTexture);
            
            m_cObjectPoint.SetNormalTexture(new UITexture(cNetHudMapSprite.m_sTextureName, fTexX, fTexY,
                                                   cNetHudMapSprite.m_nTexturePosX, 
                                                   cNetHudMapSprite.m_nTexturePosY, 
                                                   cNetHudMapSprite.m_nTexturePosX + cNetHudMapSprite.m_nIconSizeX, 
                                                   cNetHudMapSprite.m_nTexturePosY + cNetHudMapSprite.m_nIconSizeY));
            
            m_cObjectPoint.SetRealSize(new Vector(cNetHudMapSprite.m_nSizeX, cNetHudMapSprite.m_nSizeY,0));
        }
        
        public void Hide()
        { 
            if(m_cObjectPoint.m_bActive)
                m_cObjectPoint.Hide();
        }
        
        public void Show()
        {
            if (m_cObjectPoint.m_bActive)
                m_cObjectPoint.Show();
        }
        
        void AddElem(float fAngle, NetHudMapSprite cNetHudMapSprite)
        {
            m_cNetHudMapSprite = cNetHudMapSprite;
            
            if( m_cBase == null || m_cLocationPoint == null)
            {
                CrashLog("UIRotorText::AddElem() - brak elementu lub punktu bazowego; m_cBase == null || m_cPointer == null");
                return;
            }
            if( m_cElements == null )
            {
                m_cElements = new java.util.Vector();
            }
            
            
            UIStatic cWndNew = (UIStatic)CreateObject("UIStatic");
            m_cObjectPoint = cWndNew;
            //nadanie id
            cWndNew.m_sId = "ID_OBJECT_POINT_NET";
            //kopiowanie bazowego do nowego - nadanie wlasciwosci
            m_cBase.Copy( cWndNew, m_cLocationPoint );
            cWndNew.m_cSupervisor = m_cBase.m_cSupervisor;
            cWndNew.SetActive( true );
            cWndNew.SetText( "" );
            cWndNew.m_bVisible = true;
            AddElement( cWndNew );
            if (cNetHudMapSprite != null)
            {
                UpdateTexture(cNetHudMapSprite);
            }
            else
            {
                cWndNew.UpdateLogicSizeAndPos(new Vector(16, 16, 0), new Vector());
                cWndNew.OnSizeAndPos();
            }
            Reload();
            
            
            SetElemStartPos( fAngle );
        }
        
        boolean CanShowObjectPoint()
        {
            if (super.CanShowObjectPoint())
                return m_cNetHudMapSprite != null && 
                       m_cNetHudMapSprite.m_nMode != NetHudMapSprite._MODE_UNKNOWN &&
                       m_cNetHudMapSprite.IsVisible();
            else
                return false;
        }
    }
    
}
