public class ChromeNetMainMenu extends ChromeMenuWindow 
{
  	{
	nMovieIn = 15;
	nMovieLoop = 16;
	nMovieOut = 17;
	}
	
    void Init(MenuBackground cBack)
    {
        MenuModule=(ChromeMenuModule)GetModule();
        
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		int nID = GetButtonId(cSender.m_sId);
        
        if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
            switch(nID)
            {
            case EChromeNetMainMenuUI.ID_BTN_PROFIL:
                {
                    MenuModule.SetMenu("MenuNetPlayerProfile");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_CREATE_LAN:
                {
                    SetInternetGame(false);
                    MenuModule.SetMenu("ChromeNetCreatMenu");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_CREATE_NET:
                {
                    SetInternetGame(true);
                    MenuModule.SetMenu("ChromeNetCreatMenu");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_JOIN:
                {
                    MenuModule.SetMenu("ChromeNetJoinMenu");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_BACK:
                {
                    Discard();
                    break;
                }
            }
        }
    }
    
    void SetInternetGame(boolean bInternet)
    {
        NetServerInitInfo cServerInfo = new NetServerInitInfo();
        cServerInfo.ParseScriptFile();
        cServerInfo.SetInternetGame( bInternet );
        cServerInfo.SaveSettings();
    }
    
    void Discard()
    {
        if(!CanDiscard())
			return;
		MenuModule.SetMenu("ChromeMainMenu");
    }
}
