public class ASSAULTDestroyable extends DestroyableNet implements INetGameObject
{
    //czy obiekt ma byc aktywny na levelu, nawet jak nie gramy w Assault
    public boolean m_bAlwaysActive = false; //#Net
    
    NetGameInfoASSAULT m_cGameInfo = null;
    void SetGameInfo(NetGameInfoASSAULT cGameInfo)  {  m_cGameInfo = cGameInfo; }
    
    //TODO: fixit
    public String m_sName = "&ContainerWithAlienLifeForm&"; //#Net
    String GetName(){ return Text.Get( m_sName ); }

    
    public void OnCreate()
    {
        super.OnCreate();
        
        fBlowThreshold = 1.0f;
    }
    
    public void OnPostCreate()
    {
        CheckActive();
    }
    
    void Init(NetGameInfoASSAULT cGameInfo)
    {
        SetGameInfo( cGameInfo );
        CheckActive();
    }
            
    boolean CheckActive()
    {
        boolean bActive = m_bAlwaysActive || m_cGameInfo != null;
        if ( bActive )
            ActivateOnModule();
        else
            DeactivateOnModuleAlways();
        return bActive;
    }
        
    public void ServerDeleteIfNotActive()
    {
        if ( ! CheckActive() )
            CallMethodIn("delete",0.0f);
    }
    
    
    void ServerRespawn()
    {
        super.ServerRespawn();
        if ( Role == ERole._AUTHORITY )
            StartSendingClientDestroyableChangeState();
    }
    
    void StartSendingClientDestroyableChangeState()
    {
        StopSendingClientDestroyableChangeState();
        CallMethodEvery("MsgSendClientDestroyableChangeState",3.0f);
        CallMethodIn("StopSendingClientDestroyableChangeState",15.0f);
    }
    
    void StopSendingClientDestroyableChangeState()
    {
        DisableCallMethod("StopSendingClientDestroyableChangeState");
        DisableCallMethod("MsgSendClientDestroyableChangeState");
    }
    
    public void Die()
    {
        super.Die();
        
        if ( Role == ERole._AUTHORITY && m_cGameInfo != null )
            m_cGameInfo.EventPlayerDestroyedObject( this, GetAssasinPlayer() );
    }
    
    void UnderAttack()
    {
        super.UnderAttack();
        
        if ( Role == ERole._AUTHORITY && m_cGameInfo != null )
            m_cGameInfo.EventObjectUnderAttack( this, GetAssasinPlayer() );
    }

    String GetNetInfo()
    {
        return "CONTAINER "+super.GetNetInfo();
    }
    
    
}
