public class PlayerNetTestBot extends PlayerNet//CTF
{
    ///////////////////////////////////////////////////////////////////////////
    // Do testow sieci
    static boolean sm_bCanUseWeapon = true;
    static boolean sm_bCanMoving    = true;
    static boolean sm_bTestDucking  = true;
    static boolean sm_bNoGrenades   = false;

    
    
    boolean m_bCanUseWeapon = false;
    
    /**
     * Automatyczne sterowanie
     */
    boolean m_bAutoControl = false;
    
	
	float m_fAUTOForceDiePeriod = 0; //co jaki czas bot ma sie zabijac
	
    
    float m_fServerLifeTime      = 360.0f;
    
    float m_fFiringOnTime  = 10.0f;
    float m_fFiringOffTime = 1.0f;
    
    
    static void SetCanUseWeapon(boolean bCanUseWeapon)
    {
        if ( sm_bCanUseWeapon != bCanUseWeapon )
        {
            sm_bCanUseWeapon = bCanUseWeapon;
            //AUTOInit();
        }
    }
    
    static boolean sm_bBlue = true;
    
    public void OnCreate()
    {
        super.OnCreate();
        
        fMaxHealth = 200.0f;
        
        if (IsLocalAutoControl())
            AUTOInit();
        
        bBlue = sm_bBlue;
        sm_bBlue = !sm_bBlue;
    }
    
    //botki sterowane na serwerze
    boolean IsLocalAutoControl()
    {
        return (Role == ERole._AUTHORITY);
    }
    
    void AUTOInit()
    {
        //LogD("\n");
        m_bAutoControl = true;
        if ( bDead )
            CallMethodIn("AUTORespawn", 1.0f );
        else
            AUTOStart();
    }
    
    boolean bBlue = true;
    
    void AUTORespawn()
    {
        //LogD("\n");
        if ( m_bAutoControl && bDead )
        {
            ActionRespawn();
            /*if ( m_bTestDucking )
                StartFlagFX( bBlue ? "FXFlagBlue" : "FXFlagRed" );*/
            CallMethodIn("AUTORespawn", 5.0f );
            //"Automatyczny respawn" );
        }
        else
        {
            //LogD(" ignored -> bAutoControl:"+bAutoControl+" bDead:"+bDead+"\n");
        }
    }
    
    public void CleanPlayer()
    {
        super.CleanPlayer();
        //StopFlagFX();
    }
            
    public void ServerRespawn()
    {
        super.ServerRespawn();
        DisableCallMethod("AUTOCheckForceDie");
        CallMethodEvery("AUTOCheckForceDie",1.0f);
    }
    
    public void Respawn()
    {
        super.Respawn();    
        if ( m_bAutoControl )
        {
            CallMethodIn("AUTOStart",5.0f);
//            DisableCallMethod( METHOD_DelayedRotate );
//            CallMethodEvery( METHOD_DelayedRotate, m_fRotateAndErectusUpdateTime );
        }
        else
        {
//            DisableCallMethod( METHOD_HomoErectus );
//            CallMethodEvery( METHOD_HomoErectus, m_fRotateAndErectusUpdateTime );
        }
    }
    
    public class DieState extends PlayerNetBaseMortal.DieState
    {
        public void OnEnter()
        {
            super.OnEnter();
            DisableCallMethod("AUTOForceDie");
            if ( m_bAutoControl )
            {
                AUTOClean();
                CallMethodIn("AUTOInit",2.0f);
            }
        }
    }

    
    
    void AUTOStart()
    {
        if ( sm_bCanMoving )
        {
            //LogD("\n");
            m_bCanUseWeapon = sm_bCanUseWeapon;
            AUTOFiringOff();
            AUTOChangeDir();
            AUTOChangeMove();
            AUTOJump();
            AUTOEnemyCheckStart();
            if ( m_bCanUseWeapon )
                CallMethodIn("AUTOChangeWeapon",5.0f);
            
			SetAUTOForceDiePeriod(m_fAUTOForceDiePeriod);
        }
        else if ( sm_bTestDucking )
                AUTOChangeMoveDucking();
    }
        
    
    void AUTOFiringOn()
    {
        //LogD("\n");
        nFiring |= Weapon._FIRING_PRIMARY;   
        
        if ( ! m_bCanUseWeapon )
            return;
        
        CallMethodIn("AUTOFiringOff", m_fFiringOnTime );
    }
    
    void AUTOFiringOff()
    {
        
        //LogD("\n");
        nFiring = Weapon._NO_FIRING;
        
        if ( ! m_bCanUseWeapon )
        {
            DisableCallMethod("AUTOFiringOn");
            return;
        }
        
        if ( ActiveWeapon != null && ActiveWeapon.nAmmo <= 0 )
             ActionReloadingStart();
        
        
        CallMethodIn("AUTOFiringOn", m_fFiringOffTime );
    }
    
    int nDeltaRange     = 100;
    int nDeltaChangeDir = 0;
    int nCountChangeDir = 0;
    void AUTOChangeDir()
    {
        //LogD("\n");
        nDeltaChangeDir = RandomInt(nDeltaRange)-nDeltaRange/2;
        nCountChangeDir = 25;
        SetAimDirection( GetForwardVector() );
        AUTOChangeDirUpdate();
    }
    
    boolean m_bAutoOnMouseAxis = false;
        
    void AUTOChangeDirUpdate()
    {
        //LogD("\n");
        if ( nCountChangeDir-- > 0 )
        {
            m_bAutoOnMouseAxis = true;
            OnInputMouseAxis( EMouse._AXIS_X, nDeltaChangeDir );
            m_bAutoOnMouseAxis = false;
            CallMethodIn("AUTOChangeDirUpdate", 0.0f );
        }
        else
        {
            CallMethodIn("AUTOChangeDir", 0.1f );
        }
    }
    
    void AUTOChangeMove()
    {
        int nRandom = RandomInt(100);
        
        if ( nRandom < 20)
        {
            motion.IncMoveZ();        
        }
        else if ( nRandom < 40)
        {
            motion.DecMoveZ();
        }
        else if ( nRandom < 60)
        {
            motion.IncMoveX();
        }
        else if ( nRandom < 80)
        {
            motion.DecMoveX();
        } 
        else if ( nRandom < 90)
        {
            bDucking = true;
            CallMethodIn("AUTODuckingCrawlingOff",15.0f);
        }
        else 
        {
            bCrawling = true;
            CallMethodIn("AUTODuckingCrawlingOff",60.0f);
        }
        
        
        UpdateMotion();
        
        CallMethodIn("AUTOChangeMove", 1.0f );
        
        if ( m_bCanUseWeapon != sm_bCanUseWeapon )
        {
            m_bCanUseWeapon = sm_bCanUseWeapon;
            
            if ( m_bAutoControl )
            {
                LogR(" "+this+" m_bCanUseWapon "+m_bCanUseWeapon+"\n");
                
                AUTOFiringOff();
            }
        }
            
    }

    void AUTOChangeMoveDucking()
    {
        if ( bDucking )
        {
            bDucking = false;
            bCrawling = true;
        }
        else if ( bCrawling )
        {
            bCrawling = false;
        }
        else 
            bDucking = true;
        
        UpdateMotion();
        
        CallMethodIn("AUTOChangeMoveDucking", 5.0f );
    }

        
    int m_nJumps = 0;
    static float sm_fJumpsDelay = 1.4f;
    
    void AUTOJump()
    {
        //skakac mozna tylko z ziemi
        if ( (nEnvironment != EMoveEnv.CHMOVE_AIR) &&
             (motion.iSpeed >= motion.SPEED_DUCK) )
        {
            motion.nJumping = MotionState._JUMPING_TRUE;
            UpdateMotion();
        }
        
        if ( --m_nJumps <= 0 )
        {
            float fTime  = 10.0f + RandomFloat(40.0f);    
            m_nJumps = 1 + RandomInt(6);
            for ( int i=0; i<m_nJumps; i++ )
                CallMethodIn("AUTOJump",fTime + sm_fJumpsDelay*i );
        }
    }
    
    void AUTODuckingCrawlingOff()
    {
        bDucking = false;
        bCrawling = false;
        UpdateMotion();
    }

    
    void AUTOClean()
    {
        //LogD("\n");
        m_bAutoControl = false;
        DisableCallMethod("AUTOFiringOn");
        DisableCallMethod("AUTOFiringOff");
        DisableCallMethod("AUTOChangeDir");
        DisableCallMethod("AUTOChangeDirUpdate");
        DisableCallMethod("AUTOChangeMove");
        DisableCallMethod("AUTORespawn");
        DisableCallMethod("AUTODie");
        DisableCallMethod("AUTOEnemyCheckStart");
        AUTOEnemyCheckStop();
        DisableCallMethod("AUTOJump");
        m_nJumps=0;
        motion.Stop();
        motion.bFiring = false;
        UpdateMotion();
    }
    
    void AUTOEnemyCheckStart()
    {
        AUTOEnemyCheckStop();
        CallMethodEvery("AUTOEnemyCheck",0.2f);
    }
    
    void AUTOEnemyCheckStop()
    {
        DisableCallMethod("AUTOEnemyCheck");
    }
    
    //TODO: sprawdzic czy to dziala
    void AUTOEnemyCheck()
    {
        /*PlayerNetBase cTargetPlayer = GetTargetPlayer( GetPosition(),
                                                       GetForwardVector(),
                                                       _TARGET_VISIBILITY_RANGE );
        
        if ( m_bAutoControl          &&
             m_cTargetPlayer == null &&
             cTargetPlayer != null )
        {
            AUTOEnemyFound();
        }
        */
    }
    
    void AUTOEnemyFound()
    {
        AUTOEnemyCheckStop();
        CallMethodIn("AUTOEnemyCheckStart",5.0f);
        
        if ( m_bAutoControl )
        {
            //zatrzymajmy sie
            motion.Stop();
            UpdateMotion();
        
            //jezeli sie obracamy to cofnijmy o jedno
            nDeltaChangeDir *= -1;
            nCountChangeDir  = 1;
            //jesli mieliscmy zaplanowane obracanie to przelozmy je na jeszcze pozniej
            DisableCallMethod("AUTOChangeDir" );
            CallMethodIn("AUTOChangeDir", 1.0f );
        }
        
        if ( ! sm_bCanUseWeapon )
            return;
        
        //zacznijmy strzelac
        AUTOFiringOn();
        //i to na dluzej niz zwykle
        DisableCallMethod("AUTOFiringOff");
        CallMethodIn("AUTOFiringOff", 3.0f );
    }
/*
    void AUTOSwitch()
    {
        String sText = null;
        if ( m_bAutoControl )
        {
            AUTOClean();
            sText = "Automatyczne sterowanie wylaczone";
        }
        else if (m_bAutoControlEnabled)
        {
            AUTOInit();   
            sText = "Automatyczne sterowanie wlaczone";
        } 
        else
            sText = "Automatyczne sterowanie zignorowane";
        
    }
  */
    
    // logi oprocz wyswietlenia tekstu
    void TextMessage(String sText)
	{
		LogLine( sText );
		super.TextMessage( sText );
	}

    boolean TryToAddToInventory( InvObject cInvObj )
    {
        if (sm_bNoGrenades && cInvObj instanceof WeaponGrenade) 
        {
            cInvObj.delete();
            cInvObj = null;
            return false;
        }
        
        if ( ! super.TryToAddToInventory( cInvObj ) )
            return false;
        
        if ( ! sm_bCanUseWeapon )
            return true;
        
        if ( cInvObj instanceof Ammo )
        {
            Ammo cAmmo = (Ammo)cInvObj;
            cAmmo.nCount = cAmmo.nCapacity;
            
            cAmmo = (Ammo)CreateObject( cInvObj.getClass().getName() );
            if ( cInvObj != null )
            {
                if ( ! super.TryToAddToInventory( cAmmo ) )
                    return false;
                cAmmo.nCount = cAmmo.nCapacity;
            }
        }
        return true;
    }
    static Vector sm_vBotPos = new Vector();
    void AUTOCheckForceDie()
    {
        GetPosition( sm_vBotPos );
        if ( sm_vBotPos.fY + 5000.0f < vSpawnPointPosition.fY )
            AUTOForceDie();
    }
    
    public void SetAUTOForceDiePeriod(float fPeriod)
    {
        m_fAUTOForceDiePeriod = fPeriod;
        if (m_fAUTOForceDiePeriod > 0 && Role == ERole._AUTHORITY)
            CallMethodEvery("AUTOForceDie", m_fAUTOForceDiePeriod);
        else
            DisableCallMethod("AUTOForceDie");
    }
    
    void AUTOForceDie()
    {
        if ( Role == ERole._AUTHORITY )
            Die();
    }
    
    void AUTOChangeWeapon()
    {
        LogD("\n");
        
        if ( ! sm_bCanUseWeapon )
            return;
        
        //zatrzymajmy sie
        motion.Stop();
        UpdateMotion();
        DisableCallMethod("AUTOChangeMove");
        
        byte nWeaponToUse = ActiveWeapon instanceof WeaponRifle?
                            (byte)EWeaponType._GRENADE:
                            (byte)EWeaponType._RIFLE;
        //wezmy nowa bron
        WeaponToUse = GetNextWeapon( nWeaponToUse );
        // jesli skonczyl sie cykl - poszukaj od poczatku
        if (WeaponToUse == null)
            WeaponToUse = GetNextWeapon( nWeaponToUse );
        // jesli jest jakas bron - uzyj jej
        if ( (WeaponToUse != null) && (WeaponToUse != ActiveWeapon) )
        {
            if ( Role == ERole._AUTHORITY )
                m_nWeaponToUse = WeaponToUse.GetNetId();
            CallMethodIn( "ActionChangeWeaponState",0.5f );
            
            if ( WeaponToUse instanceof WeaponRifle )
            {
                CallMethodIn("AUTOChangeWeapon",15.0f );
            }
            else
            {
                float fDelay = 4.0f;
                CallMethodIn("AUTOFiringOn",fDelay);
                CallMethodIn("AUTOFiringOff", fDelay + 0.1f );    
            
                CallMethodIn("AUTOChangeWeapon",fDelay + 3.0f );    
            }
        }
        
        CallMethodIn("AUTOChangeMove", 2.0f );
    }

    boolean IsBot(){ return true; }
    
    void CheckMotionKeys(){}
}
