public class EKickReason
{
    final static int _NOT_ENUMED_REASON  = -1;
    final static int _NO_REASON          =  0;
    final static int _INCOMPATIBLE_DATA  =  1;
    final static int _TEAM_KILL          =  2;
    final static int _CHEATING           =  3;
    final static int _IDLE               =  4;
    final static int _LAG                =  5;
    final static int _TOO_MANY_PLAYERS   =  6;
        
    static String GetText( int nReason )
	{
		switch (nReason)
		{
        case _INCOMPATIBLE_DATA: return NetMsg.sKickReasonIncompatibleData;
        case _TEAM_KILL:         return NetMsg.sKickReasonTeamKill;
        case _CHEATING:          return NetMsg.sKickReasonCheating;
        case _IDLE:              return NetMsg.sKickReasonIdle;
        case _LAG:               return NetMsg.sKickReasonLag;
        case _TOO_MANY_PLAYERS:  return Text.Get( "&SERVER_FULL&" );
        default: return "";
        }
    }
}
