public class ENetGameResults
{
    //gotowa do rozpoczecia
    final static int _GAME_IS_READY_TO_START                = 0x0000;
    //wlasnie trwa
    final static int _GAME_IS_GOING                         = 0x0001;
    //runda zakonczona
    final static int _ROUND_OVER                            = 0x0002;
    //gra zakonczona
    final static int _GAME_OVER                             = 0x0004;
    //bo ktos osiagnal wymagana liczbe pubnktow
    final static int _GAME_OVER_RESON_SCORED_MAX            = 0x0010;
    //bo czas sie skonczyl
    final static int _GAME_OVER_REASON_TIME_OUT             = 0x0020;
    //bo juz nie mozna sie spawnowac
    final static int _GAME_OVER_REASON_RESPAWN_LIMIT_OUT    = 0x0040;
    
    static void Log( int nResults )
    {
        GameObject.LogD(": ");
        if (( nResults & _GAME_OVER ) != 0 )
            GameObject.Log("_GAME_OVER ");
        if (( nResults & _ROUND_OVER ) != 0 )
            GameObject.Log("_ROUND_OVER ");
        if (( nResults & _GAME_OVER_RESON_SCORED_MAX ) != 0 )
            GameObject.Log("_GAME_OVER_RESON_SCORED_MAX ");
        if (( nResults & _GAME_OVER_REASON_TIME_OUT ) != 0 )
            GameObject.Log("_GAME_OVER_REASON_TIME_OUT ");
        if (( nResults & _GAME_OVER_REASON_RESPAWN_LIMIT_OUT ) != 0 )
            GameObject.Log("_GAME_OVER_REASON_RESPAWN_LIMIT_OUT ");
        GameObject.Log("\n");
    }
}
