/** Interface do obslugi Behavior'ow i MotionType'ow edytorowych przez AI
 */
public interface IAIActivity extends ICritical
{
    /** Pobranie wektora scenariuszy poprawnych dla danego AIActivity */
    BitVector GetScenariosVector();
    
    /** Rozpoczecie obslugi danego AIActivity w podanym AI */
    void StartActivity(AIController ai);
    
    /** Zakonczenie obslugi danego AIActivity w podanym AI */
    void StopActivity(AIController ai);
	
    /** Rozpoczecie obslugi danego AIActivity w podanym pojezdzie latajacym */
	void StartActivity(FlyingTransporter vehicle);
	
    /** Zakonczenie obslugi danego AIActivity w podanym pojezdzie latajacym */
	void StopActivity(FlyingTransporter vehicle);
}
