/** generator filtrujacy scenariusz rzutu granatem */
public class CanThrowGrenade extends Generator
{
	CanThrowGrenade(AIController controller)
	{
		super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(ThrowGrenade._ID);
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();
        
		if ( (m_Controller.Grenades() > 0) &&
			 (m_Controller.CanThrowGrenade()) )
		{
			m_CurrScenarios.SetAllBits();
		}
		else
		{
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              "Grenades():" + m_Controller.Grenades() +
                              " CanThrowGrenade():" + m_Controller.CanThrowGrenade());
#endif            
			m_CurrScenarios.Set(m_GenScenarios);
		}
		
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
	}
}
