public class NoiseHeardEnemySteps extends Generator
{
    NoiseHeardEnemySteps(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        // usun te, ktore nie powinny sie pojawic, gdy uslyszy kroki przeciwnika
        m_GenScenarios.ClearBit(LookAroundIdle._ID);
        m_GenScenarios.ClearBit(RunToExamineBody._ID);

        m_GenScenarios.ClearBit(IdleSmoke._ID);
        m_GenScenarios.ClearBit(IdleWalk._ID);
        m_GenScenarios.ClearBit(IdlePlayAnim._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if(m_bTestPhase)
            return;        
        
        if (m_Controller.JustHeardEnemySteps())
        {
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "JustHeardEnemySteps()");
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
            m_CurrScenarios.SetAllBits();
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
