/** generator odsiewajacy wszystkie scenariusze zwiazane ze strzelaniem */
public class CanShoot_W extends Generator
{
    CanShoot_W(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(RunStraightAheadShoot_W._ID); 
        m_GenScenarios.ClearBit(StandShoot_W._ID);
        m_GenScenarios.ClearBit(RetreatShoot_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if ( (m_Controller.GetActiveEnemy() != null) && m_Controller.ActiveEnemyVisibleFromGun() )
        {
            m_CurrScenarios.SetAllBits();
        }
        else
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI,
                              " GetActiveEnemy():" + m_Controller.GetActiveEnemy() +
                              ", ActiveEnemyVisibleFromGun():" + m_Controller.ActiveEnemyVisibleFromGun());
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
