/** generator filtrujacy scenariusz podbiegania do ostatniej widocznej
 * pozycji wroga jezeli czas niewidzenia jest krotszy od zadanego
 */
public class ShouldWaitForEnemyAction_W extends Generator
{	
    ShouldWaitForEnemyAction_W(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(WaitForEnemyAction_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if ( (m_Controller.GetActiveEnemy() != null) &&
             (!m_Controller.ActiveEnemyCanBeTraced()) &&
             (!m_Controller.ActiveEnemyVisibilityLostMoreThanShort()) &&
             (!m_Controller.ActiveEnemyGunTraceLostMoreThanShort()) )
        {
            m_CurrScenarios.SetAllBits();
        }
        else
        {
            m_CurrScenarios.Set(m_GenScenarios);
        }
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, 
                          " GetActiveEnemy():" + m_Controller.GetActiveEnemy() +
                          ", ActiveEnemyCanBeTraced():" + m_Controller.ActiveEnemyCanBeTraced() +
                          ", ActiveEnemyGunTraceLostMoreThanShort():" + m_Controller.ActiveEnemyGunTraceLostMoreThanShort() +
                          ", ActiveEnemyVisibilityLostMoreThanShort():" + m_Controller.ActiveEnemyVisibilityLostMoreThanShort());

        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}