public class RunStraightAheadShoot extends Scenario
{
	static int _ID = _NUM_OF_SCENARIOS++;
	
	void PrepareScenario(AIController ai)
	{
		// 5 zadan bedzie zdefiniowane dla scenariusza

        Vector vDestPos = null;
        ChromeActor cEnemy = null;
		vDestPos = ai.m_cActiveEnemy.GetPosition(); 
		cEnemy = ai.m_cActiveEnemy;
		
        ai.AddTask(new TaskTrackingStart(cEnemy)); 
		ai.AddTask(new TaskStartFire());		
        ai.AddTask(new TaskMotionStateChange(MotionState.SPEED_RUN));
		ai.AddTask(new TaskTurnAtPos(vDestPos));

		ai.AddTask(new TaskGoToObject(cEnemy,  10, 600));
        if (ai.m_nLastPreparedScenario == _ID && !ai.GetMesh().m_bLastGoToSuccessfull)
            ai.AddTask(new TaskWait(1, TaskWait._STOP_CND_TAKE_DAMAGE | TaskWait._STOP_CND_RELOAD));

        
        ai.AddCleaningTask(new TaskTrackingStop());
		ai.AddCleaningTask(new TaskStopFire());
		
        super.PrepareScenario(ai);
	}
	
    public String toString()
    {
        return "RSAS";
    }	
	
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
