public class TaskStartFire extends Task
{
    boolean m_bCanAim;
                      
    public TaskStartFire()
    {
        this(true);
    }
    
    public TaskStartFire(boolean bCanAim)
    {
        m_bCanAim = bCanAim;
    }
    
	/** wykonuje zadanie     */
    public void Perform()
    {
        super.Perform();
		m_cAI.SetCanFire(m_bCanAim);
        m_cAI.Notify(AIEvents._NOTICE_END_TASK);
	}
	public String toString()
	{
		return 	"StartFire";
	}
    
    //*********************************************************
    //					SaveGame
    //*********************************************************
    
    public void SGLoadChunk(FileChunk cParentFC)
    {	
        FileChunk.Log("[TaskStartFire.SGLoadChunk]\n");
        
        FileChunk cFC = GameObject.LoadChunk(cParentFC);   
        
        if (cFC.GetID() == ESGChunksChrome._CHK_TASK_START_FIRE)
        {
            super.SGLoadChunk(cFC);
            m_bCanAim = cFC.LoadBool();
        }
        
        cFC.delete();
    }
    
    public void SGSaveChunk(FileChunk cFCParent)
    {
        FileChunk.Log("[TaskStartFire.SGSaveChunk]\n");
        
        FileChunk cFC = GameObject.NewChunk(ESGChunksChrome._CHK_TASK_START_FIRE, cFCParent);
        
        super.SGSaveChunk(cFC);
        cFC.SaveBool(m_bCanAim);

        cFC.delete(); 
    }				
    
    public void SGUpdate()
    {
        FileChunk.Log("[TaskStartFire.SGUpdate]\n");
        super.SGUpdate();
        //
    }

}
