public class DebugUtils
{
    final static int _MAX_OUTPUT_LEN = 4000;
    static String m_OutputString = new String();
    static boolean m_bDebug = false;
    
    static public void AddLog(NewAI ai, String sStr)
    {
        if (m_bDebug || (ai != null && ai.bDebugLog))
            m_OutputString += sStr;
    }
    
    static public void ClearLog()
    {
        m_OutputString = "";
    }
    
    static public void WriteOutLog(NewAI ai)
    {
        if (m_bDebug || (ai != null && ai.bDebugLog))
        {
            while (m_OutputString.length() > 0)
            {
                if (m_OutputString.length() > _MAX_OUTPUT_LEN)
                {
                    GameObject.CrashLog(m_OutputString.substring(0, _MAX_OUTPUT_LEN));
                    m_OutputString = m_OutputString.substring(_MAX_OUTPUT_LEN);
                }
                else
                {
                    GameObject.CrashLog(m_OutputString);
                    m_OutputString = "";
                }
            }
        }
    }
    
    static public void CrashLog(NewAI ai, String sStr)
    {
        if (m_bDebug || (ai != null && ai.bDebugLog))
            GameObject.CrashLog(sStr);
    }
}
