/** Atrapa gracza sluzaca do operowania na jego inventory
 */
public class PlayerFake extends PlayerHUD
{
    /** aktualnie wybrany w inventory roomie Inventory object
     */
    InvObject cMenuInvObj =  null;
    
    public void OnCreate()
    {
    }
    

    /** Ustawia odpowiednio inventory gracza oraz inicjalizuje HUDa menu
     * @param gameinfo struktura przechowujaca informacje o dotychczas zdobytym inventory przez gracza
     * @param parent sprite do ktorego ma sie przylaczyc HUDInvMenu i wszystkie przecigane sprite'y
     */
    void SetupInventory(GameInitInfo gameinfo, Sprite parent)
    {
        InitInventory( gameinfo );

        InitHUD();
        
        //((HUDInvMenu)HUD.aHUDComponent[HUDManager._HUD_INV_MENU]).SetupPosition( parent );
        //HUD.aHUDComponent[HUDManager._HUD_INV_MENU].Activate();
    }
    
    /** Inicjalizacja inventory gracza Fake, ktora tworzy odpowiednie inventory
     */
    void InitInventory(GameInitInfo gameinfo)
    {
        if (gameinfo.GetInventory() != null)
        {
            cInventory     = gameinfo.GetInventory();
            cInventoryRoom = gameinfo.cInventoryRoom;
        
            // teraz trzeba w inventory poprzestawiac wszystko na aktualnego gracza
            cInventory.Acquire( GetModule(), this );
        }
        else
        {
            cInventory = (InventoryPlayer)CreateObjectNoInit("InventoryPlayer");
            //cInventory = (Inventory)CreateObjectNoInit("Inventory");
            cInventory.Owner = this;
            cInventory.InitObject();
            
            gameinfo.SetInventory((InventoryPlayer)cInventory);

            Weapon hands = ((Weapon)CreateObject("WeaponHands"));
			hands.AddToInventory(this, false);
        }
    }
    
    
    
    void SetupInventory(PlayerNet player, Sprite parent)
    {
    }    
    
    void InitInventory(PlayerNet player)
    {
    }
    
    void StopUseInventory(PlayerNet cActualUser)
    {
    }
    
    void CheatInventory()
    {
    }
        
    InventoryRoom cInventoryRoom = null;
    InventoryRoom GetInventoryRoom() { return cInventoryRoom; }
    
    void InitHUD()
    {
        HUD = (HUDManager)CreateObject("HUDManager");
        HUD.InitInMenu(this);
    }    
    
//-----------------------------------------------------------------
    /** metoda ustawia referencje do aktualnie wybranego w menu_inventory
     *  inventory objectu
     */
    public void SetMenuInvObj(InvObject obj)
    {
        cMenuInvObj = obj;   
    }
    
}
