public class FPSCounter extends Sprite
{
    boolean bOnScreen = false;
    
    public void OnCreate()
    {
        SetFont(ChromeFonts.FONT_HUD);
    }
    
    public void Show()
    {
        bOnScreen = true;
        
        SetPos(Vector.Zero);
        ActivateOnModule();
        super.Show();
    }
    
    public void Toggle()
    {
        if(bOnScreen)
            Hide();
        else
            Show();
    }
    
    public void Hide()
    {
        bOnScreen = false;
        
        DeactivateOnModuleAlways();
        super.Hide();
    }
    
    public void OnFrame()
    {
        float fFPS = 1000.0f / GetLastFrameTime();
        DisplayText(Float.toString(fFPS));
    }
}
