public class FXGroundAmmo extends FX
{
    FXGroundAmmo()
    {
        /**********************************************************/
        Sequence("GroundBulletEnergy");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                Duration(100);
                BlendMode(_BLEND_MUL);
            }
        }        
        
        TraceClipped("GroundBulletEnergy");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundRocket");
            TextureRepeat(1);
            Size();
            {
                v(120,120);
            }
            Alpha();
            {
                v(1);
            }
        }             
        
        /**********************************************************/
        Sequence("GroundBulletLarge");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexGroundSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("GroundBulletLarge");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(20,20);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("GroundBulletLarge");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(70,70);
            ParticleRandomVelocity(250,900);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(5);
			ParticleTrailWidth(5);
			ParticleTrailTexture("FXTexIskra");
			ParticleTrailBlendMode(_BLEND_ADD);
	
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexGroundParticle");
                BlendMode(_BLEND_MUL);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(3,6);
                }
             }
        }
        /**********************************************************/
        
        Sequence("GroundBulletSmall");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexGroundSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("GroundBulletSmall");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundBulletSmall");
            TextureRepeat(1);
            Size();
            {
                v(7,7);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("GroundBulletSmall");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(80,80);
            ParticleRandomVelocity(210,850);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(5);
			ParticleTrailWidth(4);
			ParticleTrailTexture("FXTexIskra");
			ParticleTrailBlendMode(_BLEND_ADD);
	
			
			
			
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexGroundParticle");
                BlendMode(_BLEND_MUL);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(2,4);
                }
				
				
             }
        }
        
        /**********************************************************/
        Sequence("GroundHEX");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                Duration(100);
                BlendMode(_BLEND_MUL);
            }
        }
        
        TraceClipped("GroundHEX");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundRocket");
            TextureRepeat(1);
            Size();
            {
                v(150,150);
            }
            Alpha();
            {
                v(1);
            }             
        }
        
        /**********************************************************/
        Sequence("GroundRocket");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                Duration(100);
                BlendMode(_BLEND_MUL);
            }
        }
        
        TraceClipped("GroundRocket");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundRocket");
            TextureRepeat(1);
            Size();
            {
                v(150,150);
            }
            Alpha();
            {
                v(1);
            }             
        }
        /**********************************************************/
        
        Sequence("GroundCannon");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexGroundSmoke");
                Duration(1000);
				RandomSize();
				{
					v(50,90);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,13,0);
					v(0,50,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("GroundCannon");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(12,12);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("GroundCannon");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(3);
            
            EmiterContinuous(0);
            ParticleDirVariation(70,70);
            ParticleRandomVelocity(120, 350);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(5);
			ParticleTrailWidth(6);
			ParticleTrailTexture("FXTexIskra");
			ParticleTrailBlendMode(_BLEND_ADD);
	
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexGroundParticle");
                BlendMode(_BLEND_MUL);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(3,6);
                }
             }
        }
}
}