import java.util.Hashtable;

/** Tablica # diafow.
 *  Nazwom diafonow odpowiada kod diafony zawarty w klasie {@link EDiafon}.
 */

//#IGNORE_EXT_IMPL
public class DiafonHash extends Hashtable
{
    /** Konstruktor. Ustawia maopwanie nazw diafonow do ich kodu.
     * @see EDiafon
     */
    DiafonHash()
    {
        put("aa", new Byte(EDiafon.AA) );
        put("ae", new Byte(EDiafon.AE) );
        put("ah", new Byte(EDiafon.AH) );
        put("ao", new Byte(EDiafon.AO) );
        put("aw", new Byte(EDiafon.AW) );
        put("ax", new Byte(EDiafon.AX) );
        put("ax-h", new Byte(EDiafon.AXH) );
        put("axr", new Byte(EDiafon.AXR) );
        put("ay", new Byte(EDiafon.AY) );
        put("b", new Byte(EDiafon.B) );
        put("bcl", new Byte(EDiafon.BCL) );
        put("ch", new Byte(EDiafon.CH) );
        put("d", new Byte(EDiafon.D) );
        put("dcl", new Byte(EDiafon.DCL) );
        put("dh", new Byte(EDiafon.DH) );
        put("dx", new Byte(EDiafon.DX) );
        put("eh", new Byte(EDiafon.EH) );
        put("el", new Byte(EDiafon.EL) );
        put("em", new Byte(EDiafon.EM) );
        put("en", new Byte(EDiafon.EN) );
        put("eng", new Byte(EDiafon.ENG) );
        put("epi", new Byte(EDiafon.EPI) );
        put("er", new Byte(EDiafon.ER) );
        put("ey", new Byte(EDiafon.EY) );
        put("f", new Byte(EDiafon.F) );
        put("g", new Byte(EDiafon.G) );
        put("gcl", new Byte(EDiafon.GCL) );
        put("hh", new Byte(EDiafon.HH) );
        put("h#", new Byte(EDiafon.HHASH) );
        put("hv", new Byte(EDiafon.HV) );
        put("ih", new Byte(EDiafon.IH) );
        put("ix", new Byte(EDiafon.IX) );
        put("iy", new Byte(EDiafon.IY) );
        put("jh", new Byte(EDiafon.JH) );
        put("k", new Byte(EDiafon.K) );
        put("kcl", new Byte(EDiafon.KCL) );
        put("l", new Byte(EDiafon.L) );
        put("m", new Byte(EDiafon.M) );
        put("n", new Byte(EDiafon.N) );
        put("ng", new Byte(EDiafon.NG) );
        put("nx", new Byte(EDiafon.NX) );
        put("ow", new Byte(EDiafon.OW) );
        put("oy", new Byte(EDiafon.OY) );
        put("p", new Byte(EDiafon.P) );
        put("pau", new Byte(EDiafon.PAU) );
        put("pcl", new Byte(EDiafon.PCL) );
        put("q", new Byte(EDiafon.Q) );
        put("r", new Byte(EDiafon.R) );
        put("s", new Byte(EDiafon.S) );
        put("sh", new Byte(EDiafon.SH) );
        put("t", new Byte(EDiafon.T) );
        put("tcl", new Byte(EDiafon.TCL) );
        put("th", new Byte(EDiafon.TH) );
        put("uh", new Byte(EDiafon.UH) );
        put("uw", new Byte(EDiafon.UW) );
        put("ux", new Byte(EDiafon.UX) );
        put("v", new Byte(EDiafon.V) );
        put("w", new Byte(EDiafon.W) );
        put("y", new Byte(EDiafon.Y) );
        put("z", new Byte(EDiafon.Z) );
        put("zh", new Byte(EDiafon.ZH) );
    }
}
