public class HUDAdditionalCompassSniper extends HUDAdditionalCompass
{
    HUDAdditionalCompassSniper()
    {
        super();
        
    
        /** rozmiary ramki kompasu */
        nFrameSizeX = 128;
        nFrameSizeY = 64;
        
        /** pozycja tekstu statycznego na  ramce kompasu w pikselach */
        _STATIC_TEXT_POS_X = 10;
        /** pozycja tekstu opisujacego obiekt na ramce kompasu w pikselach */
        _OBJECT_TEXT_POS_X = 0;
        
        /** pozycja tekstu na ramce kompasu w pikselach */
        _TEXT_POS_Y = -nFrameSizeY;
        
        /** wielkosc okna tekstu na ramce kompasu */
        m_iTextSizeX = nFrameSizeX;
        m_iTextSizeY = nFrameSizeY;
        
        
        
        /** nazwa i sciezka do tekstury paska kompasu */
        sCompassTex = "CH_T_kompasL.png";
        
        /** nazwa i sciezka do tekstury ramki kompasu */
        sCompassFrameTex = "CH_P_Sniper_Kompas.png";
        
        /** nazwa i sciezka do tekstury destination po*/
        sCompassDestTex = "compas_dest.png";
        
        /** sprite kompasu */
        //Sprite cHUDCompassSpr = null;
        nHUDCompassSprTex = 0;
        
        /** sprite ramki kompasu */
        //Sprite cHUDCompassFrameSpr = null;
        nHUDCompassFrameSprTex = 0;
        
        /** sprite punktu docelowego */
        //Sprite cHUDCompassDest = null;
        nHUDCompassDestTex = 0;
        
        
        
        /** rozmiary okienka kompasu */
        nWindowSizeX = 121;
        nWindowSizeY = 35;
        /** pozycja okienka kompasu wzgledem ramki kompasu (rodzica) */
        nWindowPosX = 4;
        nWindowPosY = 14;
        
        /** rozmiary tekstury punktu docelowego */
        nDestSizeX = 1;
        nDestSizeY = 33;
        /** odleglosc od brzegu kompasu do najbardziej wychylonej kreski punktu docelowego */
        nMaxDist = -1;
        
        
        /** pozycje relatywne - poniewaz ten kompas ma sluzyc zarowno przy lornetce,
        * jak i przy snajperce, kazda z nich moze sobie ustawic wlasne polozenie kompasu
        */
        m_iRelX = 0;
        m_iRelY = 0;
        
        
        
    }
    
    public void OnCreate()
    {
        super.OnCreate();
        if (m_bDisableInNetGame)
            return;
        
        ((Sprite)m_ObjectTextInfo).SetTextPosFlags(ESpriteText.CENTER);
        //m_ObjectTextInfo.SetTexture(m_ObjectTextInfo.AddTexture("er_t_Red.png"), new Rect(0,0,1,1));
        m_ObjectTextInfo.SetFont(ChromeFonts.FONT_HUD_BIGGER);
    }
    
    
    public void PositionHUDComponent(int relX, int relY)
	{
		super.PositionHUDComponent(relX, relY);
		
		m_ObjectTextInfo.SetPos( new Vector((GetScreenWidth() - m_ObjectTextInfo.GetSize().fX)/2f, 
                                            0.14f * GetScreenHeight(), 
                                            0));
	}
    
    public void SGUpdate()
    {
        super.SGUpdate();
        ForceDeactivate();
    }
}
