public class NetImplantSystem extends ImplantSystem
{
    PlayerNetBase m_cPlayerNet = null;
    boolean       m_bAmIServer = false;
    
    
    void InitImplants(Module mod, Player player)
    {
        super.InitImplants( mod, player );
        
        
        m_cPlayerNet = player instanceof PlayerNetBase ?
                      (PlayerNetBase)player : null ;
        //TODO przemyslec czy tak ma byc???
        m_bAmIServer = m_cPlayerNet      != null && 
                       m_cPlayerNet.Role == ERole._AUTHORITY; 
    }
    
    int nCnt = 0;
    public void Update(float fNow)
	{
		super.Update( fNow );
        if ( ++nCnt % 5 == 0 )
            SendClientData();
	}
    
    public void Update(float fTime,float fOverload)
	{
        m_fSystemOverload = fOverload;
        ApplyChanges();
        
        //lokalne "doliczenie" aktualnej sytuacji
        m_fLastUpdateTime = fTime;
        float fTmp = m_fLastUpdateOverloadChange;
        float fDelta = GetTime() - fTime;
		UpdateImplants( fDelta );
        m_fLastUpdateOverloadChange = fTmp;
        
        UpdateHud();
	}
    
    float m_fLastOverloadTime = 0;
    void Overload()
    {
        if (GetTime() - m_fLastOverloadTime < 2f)
            return;
        
        m_fLastOverloadTime = GetTime();
        super.Overload();
        SendClientData();
    }
    
    float m_fSentOverload = 0.0f;
    void SendClientData()
    {
        if ( m_bAmIServer && m_fSentOverload != m_fSystemOverload )
        {
            m_cPlayerNet.MsgSendClientOverload( m_fLastUpdateTime,
                                                m_fSystemOverload );
            m_fSentOverload = m_fSystemOverload;
        }
    }
    
    PlayerHUD GetPlayer()
    {
        if ( m_cPlayerNet != null )
            return m_cPlayerNet;
        return super.GetPlayer();
    }
}
