public class ExplosiveSpecialPlace extends TriggerObject
{
    public Action[] OnBombPlanted = null;//#\ExplosiveSpecialPlace;Actions performed, when bomb is planted on this place

	ExplosiveSpecialPlace()
	{
		super();
		
        MeshName="Data/Meshes/Equipment/bomba_zdalna.3DA";
	}
	
	public void OnCreate()
	{
		super.OnCreate();
		bSG = true; // trzeba, bo jest ukrywany przez ExplosiveSpecial
		ReplaceMaterial("bomb.mat", "bomb_place.mat");
		ReplaceMaterial("bomb SI.mat", "bomb_place.mat");
		SetFlag(EFlags._BLOCK_TRACE);
		ClearFlag(EFlags._BLOCK_MOVE);
        bActiveTrigger = true;
        sTip = "&HUD_TIP_PLANT_BOMB&";
	}
    
    public boolean IsActive(ControlObject Activator)
    {
        if (Activator instanceof Pawn)
        {
            Inventory cPawnInventory = ((Pawn)Activator).cInventory;
            return (cPawnInventory.GetSpecificInvObject(InvObject._E_EXPLOSIVE) != null);
        }
        return false;
    }
    
    void Execute( Actor executor )
    {
        if (executor instanceof Pawn)
        {
            Inventory cPawnInventory = ((Pawn)executor).cInventory;
            Explosive cBomb = (Explosive)cPawnInventory.GetSpecificInvObject(InvObject._E_EXPLOSIVE);
            cBomb.Use();
        }
        
    }
    
    public void BombPlanted()
    {
        InvokeActionChain(OnBombPlanted);
    }
}
