public class WeaponHeavyRocketLauncher extends WeaponHEX
{
    WeaponHeavyRocketLauncher()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPProcketl.3DA";
        m_nFireMode = _FIREMODE_SINGLE;        
        //Weapon
        nType = EWeaponType._HEAVY;

        //InvObject properites
        nInvIndex = InvObject._W_HEAVY_ROCKET_LAUNCHER;
        sName = "&W_N_ROCKET_LAUNCHER&";
        //sInfo = "Ammo : Rocket \nDamage : 90 \nRoF : 45";
        sTexFileName = "Data/Textures/CH_I_Weapons3.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 180.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 3;
	    nCellsWidth = 10;
		
        //WeaponPistol properties
        fBaseAcc  = 2.0f;
        fRecoilAccChange = 4.0f;
		fAccuracyChangeSpeed = 7.0f;

        fRecoilShiftChange= 0.08f;
        vRecoilShift = new Vector(0, 0.2f, 0);
        
        fDamage             = 90.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 30000.0f;
        fBulletSpeed        = 5000.0f;
	    fRateOfFire         = 45.0f;
	    eBulletType         = EAmmoType._Rocket;
		nCapacity		    = 8;

		fNoiseShot = 10000.0f;
		fNoiseHit  = 500.0f;

        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/H02_Fire";
        sSoundReload = "Data/Sounds/Weapon/H02_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/H02_Click";

        fMinShootSound = 1000.f;
        fMaxShootSound = 9000.f;

		/**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = null;
		
        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsRocket";
        
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE;
        //fAIAimingDeviation = 0.1f;
        //fAIBurstAimingDeviation = 0.5f;
        fAISingleFireDelay = 0.5f;
        fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        nAIMaxSingleFireBullets = 1;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 2000;
        nAIReadinessToAim = 0;
        nAIReadinessToStopAiming = 100;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 800;
    }
}
