/** Mashine gun
 */
public class WeaponRifleMachineGun extends WeaponBullet
{
    WeaponRifleMachineGun()
    {
        super();
        m_nFireMode = _FIREMODE_BURST;
        
        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPgauss.3DA";
        
        //Weapon
        nType = EWeaponType._RIFLE;

        //InvObject properites
        nInvIndex = InvObject._W_RIFLE_MACHINE_GUN;
        sName = "&W_N_MASHINE_GUN&";
        sTexFileName = "Data/Textures/CH_I_Weapons1.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 160.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 3;
	    nCellsWidth = 8;
		
        //Weapon properties
        fBaseAcc  = 4.0f;
        fAimAcc = 1.75f;
        fRecoilAccChange = 1.1f;
		fAccuracyChangeSpeed = 6.25f;
        
        fRecoilShiftChange= 0.020f;

        fDamage             = 90.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 40000.0f;
        fBulletSpeed        = 10000.0f;
	    fRateOfFire         = 400.0f;
	    eBulletType         = EAmmoType._14mmLong;
		nCapacity		    = 70;

		fNoiseShot = 8000.0f; // z 5000.0f;
		fNoiseHit  = 1000.0f;

        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsGauss";
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/R08_Fire";
        sSoundReload = "Data/Sounds/Weapon/R08_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/R08_Click";
        
        fMinShootSound = 800.f;
        fMaxShootSound = 5000.f;
        
        /**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienRifleMachineGun";
		
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_BURST;
        //fAIAimingDeviation = 0.1f;
        //fAIBurstAimingDeviation = 0.5f;
        //fAISingleFireDelay = 0.5f;
        //fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        //nAIMaxSingleFireBullets = 5;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 2000;
        nAIReadinessToAim = 0;
        nAIReadinessToStopAiming = 100;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 500;
    }
    
}
