public class LethalObject extends MeshObject
{
    public boolean bHide = false;//#LETHAL;
    
    public float fDamage = 100000.f;//#LETHAL;
    public float fPhSimDamage = 10.f;//#LETHAL;

    EnumDamageType cDamageType = new EnumDamageType(EnumDamageType._COLLISION);//#LETHAL
    
    public void OnCreate()
    {
        if(bHide)
        {
            // chowamy
            EnableRendering(false);
        }
        
        // wlaczamy kolizje obiektowi
        SetCollType(ECollFlags.OBJCOL_TYPE_PERFACEOBJECT);
        SetCollHandler(ECollFlags.OBJCOL_HANDLER_OBJECT);
    }
    
    
    public void OnCollisionObject(ControlObject cObj)
    {
        if(cObj instanceof Actor)
        {
            cObj.TakeDamage(fDamage, fPhSimDamage, this, Vector.Zero, Vector.Zero, 0, cDamageType.GetValue());
            ClearFlag(EFlags._COLLISION);
        }
    }
    
}
