public class LiftPlatformOld extends LiftPlatformBase
{
    /** poczatkowy kierunek poruszania sie windy
     */
    public float fFirstMoveDirection = 1.0f;//#LIFTPLATFORM
    
    void OnCreate()
    {
        super.OnCreate(); 
        
        ClearFlag(EFlags._NO_ANIMATION);
        ClearFlag(EFlags._NO_ANIMATION_REFRESH);
        SetFlag(EFlags._PORTAL_INDEPENDENT);

        //SetLighting(true);
                
        sMovingSound = "Data/Sounds/WallDoor_Open";
        sStartSound  = "Data/Sounds/WallDoor_Open";
        sStopSound   = "Data/Sounds/WallDoor_Open";
    }
    
    
    void Init()
    {
        super.Init();
                
        fMovingDirection = fFirstMoveDirection;
                
        SetState("Stoped");
        
        CallMethodEvery("CheckPlayer", 0.5f);
    }
    
    String GetTip()
    {
        return "Move";
    }
    
    public boolean IsActive(ControlObject Activator)
    {
        return false;//bActive;
    }
    
    
    
    void Stoped()
    {
        bActive = true;
        if (nSoundId!=-1) DetachSound(nSoundId);
        
        // wlaczamy sprawdzanie czy gracz jest nad winda
        CallMethodEveryMinMax("CheckPlayer", 0.5f, 1000.0f);
    }
    
    
    boolean bPlayerAbove = false;
    float fPlayerAboveEnterTime = 0.0f;
    
    boolean bPlayerRuning = false;
    
    void CheckPlayer()
    {
        if(IsPlayerAbove())
        {
            // jak gracz jedzie to nie ma co sprawdzac
            if(bPlayerRuning) return;
            
            if(bPlayerAbove)
            {
                //CrashLog("Player is above\n");
                    
                float fAboveInterval = GetTime() - fPlayerAboveEnterTime;
                if(fAboveInterval >= fPlatformStartTime)
                {
                    //CrashLog("Gracz wjezdza winda\n");
                    // wlaczamy winde
                    SetStateMoving( GetTime() );
                    bPlayerRuning = true;
                }
            }
            else
            {
                //CrashLog("Player enters above\n");
                fPlayerAboveEnterTime = GetTime();
                bPlayerAbove = true;
            }
        }
        else
        {
            bPlayerAbove = false;
            if(bPlayerRuning)
            {
                //CrashLog("Gracz zszedl z windy\n");
                // gracz zszedl z jadacej windy
                bPlayerRuning = false;
            }
        }
    }

    

    
}

