public class ChromeMenuExit extends ChromeMenuWindow
{
    {
	nMovieIn = 6;
	nMovieLoop = 7;
	nMovieOut = 8;
	} 
	
	void Init(MenuBackground cBack)
    {
    	MenuModule=(ChromeMenuModule)GetModule();
    }
    
    public void Show()
    {
        super.Show();
        
        if(m_cYesNoDlg != null)
        {
            if(m_cYesNoDlg.GetOwner() == null)
                ShowYesNoDialog(EChromeMainMenuUI.ID_BTN_MAIN_EXIT, "&QUIT GAME&", "&menu3&", "&BtnYes&", "&BtnNo&");
            else
                if (m_cYesNoDlg.GetOwner() == this)
                    m_cYesNoDlg.Show();
        }else
            ShowYesNoDialog(EChromeMainMenuUI.ID_BTN_MAIN_EXIT, "&QUIT GAME&", "&menu3&", "&BtnYes&", "&BtnNo&");
    }
    
    public void Hide()
    {
        super.Hide();
        
        if(m_cYesNoDlg != null)
        {
            if (m_cYesNoDlg.GetOwner() == this)
                m_cYesNoDlg.Hide();
        }
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		int nID = GetButtonId(cSender.m_sId);
            
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
            switch(nID)
            {
            case EChromeMainMenuUI.ID_BTN_MAIN_SINGLE:
                {
                    break;
                }
		    }
        }
    }
	
    void OnYesFromDlg(int nID)
    {
        super.OnYesFromDlg(nID);
        switch(nID)
        {
        case EChromeMainMenuUI.ID_BTN_MAIN_EXIT:
                MenuModule.ExitMenuGame();
            break;
        }
    }
    
    void OnNoFromDlg(int nID)
    {
        super.OnNoFromDlg(nID);
        switch(nID)
        {
            case EChromeMainMenuUI.ID_BTN_MAIN_EXIT:
                Discard();
            break;
        }
    }
    
    void Discard()
    {
        if(!CanDiscard())
			return;
		//dodatkowe sprawdzenie uwzgledniajace klawisz esc
        if(m_cYesNoDlg != null)
        {
            if (m_cYesNoDlg.GetOwner() == this)
                super.OnNoFromDlg(EChromeMainMenuUI.ID_BTN_MAIN_EXIT);
        }
        MenuModule.SetMenu("ChromeMainMenu");
    }
    
 }

