public class TestMainMenu extends ChromeMenuWindow
{	    
    void Init(MenuBackground cBack)
    {
        MenuModule=(ChromeMenuModule)GetModule();
        
        RegisterKeyRequest();
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		int nID = GetButtonId(cSender.m_sId);
            
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
             switch(nID)
            {
            /*case EChromeMainMenuUI.ID_LISTBOX_LEVEL:
                {
                    OnClickLoadLevel();
                    break;
                }*/
                
            case EChromeMainMenuUI.ID_BTN_EXIT:
                {
                    Discard();    
                }
            }
			 
			if( nID >= 200 && nID <= 217) 
			{
				LoadLevel(nID-200);
			}
        }
    }
    
    void OnButtonHighlight(Button btnSender)
    {
        PlaySound(ChromeMenuModule.SoundHighlight);
    }

    
    void LoadLevel(int nLevelNumber)
    {
        String sFileName = "Data/LevelsSingle_";
        
        // level 10a = level o indeksie 11
        String sLevel = null;

		// level 14 to testlevel
        if(nLevelNumber == 17)
        {
			sLevel = "T";
        }
		else
        if(nLevelNumber == 11)
        {
            sLevel = "10a";
        }
        else
        if(nLevelNumber == 5)
        {
            sLevel = "13";
        }
        else
        if(nLevelNumber == 14)
        {
            sLevel = "13a";
        }
        else
        if(nLevelNumber == 15)
        {
            sLevel = "13b";
        }
        else
        if(nLevelNumber == 16)
        {
            sLevel = "13c";
        }
        else
        {
            if(nLevelNumber > 11)
                sLevel = String.valueOf(nLevelNumber-1);
            else
                sLevel = String.valueOf(nLevelNumber);
        }
        
        sFileName = sFileName + sLevel + ".scr"; 
        CrashLog("Loading file <"+sFileName+">\n");
        
        GameInitInfoSingle game=new GameInitInfoSingle(sFileName);
        MenuModule.NewGame(game);
        MenuModule.StartGame();
    }
    
    void Discard()
    {
        if(!CanDiscard())
			return;
		if ( MenuModule.bInGameMenuAct )
        {
            MenuModule.SetMenu("InGameMenu");
            return;
        }
        MenuModule.SetMenu("ChromeMainMenu");
    }
    
    void OnInputKey(int nKeyCode, boolean bKeyState, char nKeyAscii)
    {
        if( (nKeyCode>=EKey._1) && (nKeyCode<EKey._0) && (bKeyState) )
        {
            int nLevel = nKeyCode - EKey._1+1;
            //CrashLog("nLevel="+nLevel+"\n");
            LoadLevel(nLevel);
            UnregisterKeyRequest();
        }
        
        if(nKeyCode==EKey._0 && bKeyState)
        {
            LoadLevel(0);
            UnregisterKeyRequest();
        }
        
        if( (nKeyCode==EKey._RETURN) && (bKeyState) )
        {
            LoadLevel(17);
            UnregisterKeyRequest();
        }
        
        super.OnInputKey(nKeyCode, bKeyState, nKeyAscii);
    }

}
