public class FightPoint extends EditorRenderableObject
{
    public FightPoint[] aNeighbours = null;//#\FIGHTPOINT;Direct neighbours of this point
    public MeshObject cHideout = null;//#\FIGHTPOINT;Hideout for this fightpoint
    
    public boolean bCanFire = true;//#\FIGHTPOINT;Can AI fire from this fightpoint
    public float fRadius = 70.f;//#\FIGHTPOINT;Size of fightpoint area

    public float fOverallTimeMin = 2f;//#\FIGHTPOINT;Minimal time to stay in fightpoint
    public float fOverallTimeMax = 5f;//#\FIGHTPOINT;Maximal time to stay in fightpoint

    public float fHideTimeMin = 0.5f;//#\FIGHTPOINT;
    public float fHideTimeMax = 2f;//#\FIGHTPOINT;
    
    public float fShootTimeMin = 1f;//#\FIGHTPOINT;
    public float fShootTimeMax = 5.f;//#\FIGHTPOINT;
    

    FightPoint()
	{		
		iRenderType = EEditorRenderType._MESH;
		EditorMeshName = "data\\interface\\choragiewka.3da";
	}
	
    public void OnCreate()
    {
        super.OnCreate();
        
        ClearFlag(EFlags._NOT_STATIC);
    }
    
    // wolane gdy edytor dodaje ten obiekt
    public void OnEditorObjectAdd(ControlObject[] aSelectedObject)
    {
    }
    
    // wolane gdy edytor kasuje ten obiekt
    public void OnEditorObjectDel()
    {
    }
    
    //
    public boolean UpdateDataByMatrix(){ return false;}
    
    //
	public boolean UpdateMatrixByData(){ return false;}
    
    public static void DefineVisualisation()
    {
        DefineDebugArrowArray("aNeighbours", new Vector(1,1,0), true);
    }
}
