public class bhv_WaitForEnemy extends ChromeBehavior
{
	NewAI m_MeshAI = null;
	
    public BitVector GetScenariosVector()
    {
        return null;
    }
	
    public void StartActivity(AIController ai)
	{
		m_MeshAI = ai.GetMesh();
		CallMethodEvery("CheckForEnemy", 0.2f);
	}
    
    public void StopActivity(AIController ai)
	{
	}
	
	public void CheckForEnemy()
	{
        AIController controller = m_MeshAI.GetController();
		if (controller.GetActiveEnemy() != null)
		{
			DisableCallMethod("CheckForEnemy");
			controller.ServeNextWaypointActivity();
		}
	}
    
    //*********************************************************
    //					SaveGame
    //*********************************************************
    
    public void SGLoadChunk(FileChunk cParentFC)
    {
        FileChunk.Log("[bhv_WaitForEnemy.SGLoadChunk]\n");
        
        FileChunk cFC = GameObject.LoadChunk(cParentFC);
        
        if (cFC.GetID() == ESGChunksChrome._CHK_BHV_WAIT_FOR_ENEMY)
        {
            super.SGLoadChunk(cFC);
            
            m_MeshAI = (NewAI)cFC.LoadObjectRef();
        }
        
        cFC.delete();
    }


    public void SGSaveChunk(FileChunk cFCParent)
    {
        FileChunk.Log("[bhv_WaitForEnemy.SGSaveChunk]\n");
        
        FileChunk cFC = NewChunk(ESGChunksChrome._CHK_BHV_WAIT_FOR_ENEMY, cFCParent);
        
        super.SGSaveChunk(cFC);

        cFC.SaveObjectRef(m_MeshAI);
        
        cFC.delete();
    }	
    
    public void SGUpdate()
    {
        FileChunk.Log("[bhv_WaitForEnemy.SGUpdate]\n");
        super.SGUpdate();
    }
}
