public class mt_GetIn extends ChromeMotionType
{
	public ISeatVehicle cObjectToGetIn = null;//#\MT_GETIN
    public boolean bImmediate = false;//#\MT_GETIN
	
    public mt_GetIn()
    {
        m_ValidScenarios.SetBit(EditorGetInOut._ID);
    }
	
	public void OnCreate()
	{
		bCritical = true;
	}

    public void StartActivity(AIController ai)
    {
        if (ai.IsDead())
            return;
        
		// zakladamy, ze ai zawsze moze wsiasc na okreslone miejsce
		ai.SetObjectToGetIn(cObjectToGetIn, ai.GetMesh().GetGetInType());
    }
	
    public void StopActivity(AIController ai)
    {
        if (ai.IsDead())
            return;
        
		// jezeli wsiadamy jako kierowca i pojazd nadaje sie do jezdzenia
		if ( (ai.GetMesh().GetGetInType().GetValue() == EnumGetInType._DRIVER) &&
			 (cObjectToGetIn instanceof IDrivenVehicle) )
			ai.SetObjectToDrive((IDrivenVehicle) cObjectToGetIn);
		
		ai.GotIn();
        ai.m_bSitsInVehicleOnSeat = true; // teraz ai naprawde siedzi w pojezdzie
    }
}
