public class ParamStepsNoise extends Param
{
    {sEditorComment = "Sets noise range for particular motion speed for player";}

    public ipar_StepsNoise cTarget = null;//#\;Object which steps noise range should be changed

    public EnumMotionSpeeds cSpeed = new EnumMotionSpeeds(EnumMotionSpeeds._WALK);//#\;Motion speed

    public float fNoiseRange = -1f;//#\;New noise range for given MotionSpeed (when < 0 - leave unchanged)
    
    public void ChangeParam()
    {
        if ( (cTarget != null) && (fNoiseRange >= 0) )
            cTarget.SetStepsNoiseRange(cSpeed.GetValue(), fNoiseRange);
    }
}
