public class ConnectionHelper extends GameObject    
{
    protected IConnectionCallback m_IConnectionCallback;
    
    public boolean Init(IConnectionCallback back, float fTimeOut, float fCheckTime)
    {
        if (back != null)
        {
            m_IConnectionCallback = back;
            
            CallMethodIn("Failed", fTimeOut);
        
            CallMethodEvery("Check", fCheckTime);
            
            return true;
        }
        
        return false;
    }
    
    public void Check()
    {
        CheckDo();
    }
    
    public void CheckDo()
    {
        //sprawdzic, czy polaczenie nie zostalo nawiazane i podjac akcje z tym
        //zwiazane - wypelnic w klasach pochodnych
    }
    
    public void Failed()
    {
        DisableCallMethod("Check");
        m_IConnectionCallback.Failed();
    }
    
    public void Cancel()
    {
        DisableCallMethod("Check");
        DisableCallMethod("Failed");
        
        if (m_IConnectionCallback != null)
        {
            m_IConnectionCallback.Canceled();
        }
    }
}
