/**
 * Zabicie gracza o podanym nicku lub PIDzie
 */
public class CommandKill extends ConsoleCommandParams
{
    CommandKill()
    {
        super();
        m_nRequiredAdminRights  = EAdminRights._STANDARD;
        m_nMinParams            = 
        m_nMaxParams            = 1;
        m_cPlayerToKill         = null;
    }
    
    NetPlayerInfo m_cPlayerToKill = null;
    
    void InitPerform()
    {
        super.InitPerform();
        
        String sNickOrPID = GetSParam( 0 );
        if ( ! NetGameTools.IsStringValid( sNickOrPID ) )
        {
            SetErrorId( EConsoleCommandError._WRONG_PARAMS_CNT );
            return;
        }
        
        m_cPlayerToKill = m_cGameInfo.GetPlayerInfoList().GetPlayerByNickOrPID( sNickOrPID );
        if ( (m_cPlayerToKill == null) || (m_cPlayerToKill.GetPlayer() == null) )
        {
            SetErrorId( EConsoleCommandError._PLAYER_NOT_FOUND );
            return;
        }
    }
    
    
    void PostPerform()
    {
        m_cPlayerToKill.GetPlayer().ForceDieByConsoleCommand();
    }

}
