/** Klasa zawierajaca niezbedne informacje do wyspawnowania 
 * obiektu invObject
 */

public class InvObjectSpawnInfo extends SpawnInfo
{
    int     m_nClassId      = -1;
        
    float   m_fAutoRespawnTime  = 0;
    int     m_nAutoRespawnCnt   = 0;
    
    InvObjectSpawnInfo( ModuleNetBase cModule, 
                        InvObject     cInvObject )
    {
        super( cInvObject );
        if ( cModule == null || cInvObject == null )
            return;
        
        m_nClassId          = cModule.GetClassID( cInvObject.getClass().getName() );
        m_fAutoRespawnTime  = cInvObject.GetAutoRespawnTime();
        m_nAutoRespawnCnt   = cInvObject.GetAutoRespawnCnt();
    }
}
