/**Klasa z ktorej musza dziedziczyc wszstkie okna zwiazane 
 * z ustawieniami mapy do gry sieciowej*/
public class MenuNetGameSettings extends MenuNetEditWindow
{
    NetGameSettings m_cNetGameSettings = null;
	 
    UIStatic m_cLabelTitle      = null;
    
    //napis na pasku tytulowym
    String m_sLabelTitleText  = "";
    //pozycje przyciskow dla 640x480
    
    MenuNetEditControlsSet  m_cPoints  = null;
    MenuNetEditControlsSet  m_cTime    = null;
    MenuNetEditControlsSet  m_cFrags   = null;
    
    MenuNetEditControlsSet  m_cRespawns    = null;
    MenuNetEditControlsSet  m_cRespawnTime = null;
    
    MenuNetEditControlsSet  m_cIdentifyEnemies = null;
    
    MenuNetEditControlsSet  m_cVehicleRespawns            = null;
    MenuNetEditControlsSet  m_cVehicleRespawnTime         = null;
    MenuNetEditControlsSet  m_cVehicleAutoReturnTime      = null;
        
    MenuNetEditControlsSet  m_cEnemiesVisibleOnHudMap  = null;
    MenuNetEditControlsSet  m_cFriendsVisibleOnHudMap  = null;
    MenuNetEditControlsSet  m_cVehiclesVisibleOnHudMap = null;
    MenuNetEditControlsSet  m_cFlagsVisibleOnHudMap    = null;
    MenuNetEditControlsSet  m_cBasesVisibleOnHudMap    = null;
    
    MenuNetEditControlsSet  m_cTeamBalance  = null;
    MenuNetEditControlsSet  m_cFriendlyFire = null;
    MenuNetEditControlsSet  m_cStartWhenBothTeamsHavePlayers = null;
    
    MenuNetEditControlsSet  m_cRevengeMatch          = null;
    MenuNetEditControlsSet  m_cChangeSideOnNextRound = null;
    
    MenuNetEditControlsSet  m_cDominationScoreUpdateTime = null;
    MenuNetEditControlsSet  m_cAllowDominateByDeadPlayer = null;
        
    MenuNetEditControlsSet  m_cRoundTime = null;
    MenuNetEditControlsSet  m_cFlagAutoReturnTime = null;
    
    MenuNetEditControlsSet  m_cAvailableInventoryRoom = null;
    
    ChromeMenuModule MenuModule=null;
    
    MenuNetGameSettings()
    {
        super();
        //SetStartPos(new Vector(28.0f,64.0f,0.0f));
    }
    
    void SetParams(ChromeMenuModule cModule,
                   UIWindow           cOwner,
                   NetMapInfo       cMapInfo)
    {
        //przygotowujemy obiekt GameSettings
        int    nGameType  = cMapInfo.GetGameType();
        String sLevelPath = cMapInfo.GetLevelPathName();
        String sLevelName = cMapInfo.GetLevelName();
        
        NetGameSettings cNetGameSettings = ENetGameType.NewGameSettings( nGameType );
        cNetGameSettings.Init( sLevelPath, sLevelName );
        
        SetGameSettings( cNetGameSettings );
        SetEditMode( true );
        
        SetParams( cModule, cOwner );
    }
    
    void SetParams(ChromeMenuModule cModule,
                   UIWindow           cOwner,
                   NetGameSettings  cNetGameSettings )
    {
        SetGameSettings( cNetGameSettings );
        SetEditMode( false );
        SetParams( cModule, cOwner );
    }
    
    void SetParams(ChromeMenuModule cModule,
                   UIWindow           cOwner )
    {
        super.SetParams( cModule, cOwner );
        
        
    }
    
    void SetGameSettings(NetGameSettings cGameSettings)
    {
        m_cNetGameSettings = cGameSettings;
    }
    
    
    
    int m_nMaxValue = 999999;
    
	//static java.util.Vector m_vActiveControls = new java.util.Vector();
	
	static Vector m_vLastPos = new Vector();
	
	MenuNetEditControlsSet m_cPattern = null;
	
	/*static Vector GetNextItemPos()
	{
		
	}*/
	
	public void OnInit()
	{
		m_cLabelTitle = (UIStatic)GetElem("ID_MENU_TITLE");
		
		m_cPattern = (MenuNetEditControlsSet)GetPattern(EUIConst.sCONTROL_OBJECT);
		
		if (m_cPattern == null)
			Tools.CrashLogError("NO PATTERN FOR MenuNetGameSettings in the script");
        else
            SetControlSize(m_cPattern.GetSize());
		
		if ( ! GetEditMode() )
			((MenuButtonSized)GetElem("ID_DONE")).SetText("OK");
			
		m_vLastPos = m_cPattern.GetPos();
        
        CrashLog( "<"+m_cPattern.m_sId + "> <"+m_cPattern.m_sDefType+">\n");
        
        // change name becouse Pattern isn't really pattern
        m_cPattern.m_sId = "congratulations_for_PrzemekH";
        m_cPattern.SetName(m_cPattern.m_sId);
        
        m_cPoints = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cPoints.Copy(m_cPoints, m_cPattern);
		//m_cPoints.m_sId = "ID_POINTS";
		AddElement(m_cPoints);
        m_cPoints.SetWindow( this );
        m_cPoints.SetLabelText( "&MenuNetGameSettingsPointsLimit&" );
        m_cPoints.SetRangeValue( 1, m_nMaxValue, m_cNetGameSettings._POINTS_LIMIT );
		m_cPoints.Reload();
        
        m_cFrags = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cFrags.Copy(m_cFrags, m_cPattern);
		AddElement(m_cFrags);
        m_cFrags.SetWindow( this );
        m_cFrags.SetLabelText( "&MenuNetGameSettingsFragsLimit&" );
        m_cFrags.SetRangeValue( 1, m_nMaxValue, m_cNetGameSettings._FRAGS_LIMIT );
		m_cFrags.Reload();
        
        m_cTime = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cTime.Copy(m_cTime, m_cPattern);
		AddElement(m_cTime);
        m_cTime.SetWindow( this );
        m_cTime.SetLabelText( "&MenuNetGameSettingsTimeLimit&" );
        m_cTime.SetRangeValue( 1, m_nMaxValue, m_cNetGameSettings._TIME_LIMIT_IN_MINUTES );
		m_cTime.Reload();
        
        m_cRespawns = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cRespawns.Copy(m_cRespawns, m_cPattern);
		AddElement(m_cRespawns);
        m_cRespawns.SetWindow( this );
        m_cRespawns.SetLabelText( "&MenuNetGameSettingsRespawnsLimit&" );
        m_cRespawns.SetRangeValue( 1, m_nMaxValue, 100 );
		m_cRespawns.Reload();

        m_cRespawnTime = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cRespawnTime.Copy(m_cRespawnTime, m_cPattern);
		AddElement(m_cRespawnTime);
        m_cRespawnTime.SetWindow( this );
        m_cRespawnTime.SetLabelText( "&MenuNetGameSettingsRespawnTime&" );
        m_cRespawnTime.SetRangeValue( 0, m_nMaxValue, 5 ) ;
        m_cRespawnTime.Reload();
		
        m_cVehicleRespawns = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cVehicleRespawns.Copy(m_cVehicleRespawns, m_cPattern);
		AddElement(m_cVehicleRespawns);
        m_cVehicleRespawns.SetWindow( this );
        m_cVehicleRespawns.SetLabelText( "&MenuNetGameSettingsVehicleRespawnsLimit&" );
        m_cVehicleRespawns.SetRangeValue( 1, m_nMaxValue, m_cNetGameSettings._VEHICLE_RESPAWN_CNT_LIMIT );
		m_cVehicleRespawns.Reload();
		
        m_cVehicleRespawnTime = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cVehicleRespawnTime.Copy(m_cVehicleRespawnTime, m_cPattern);
		AddElement(m_cVehicleRespawnTime);
        m_cVehicleRespawnTime.SetWindow( this );
        m_cVehicleRespawnTime.SetLabelText( "&MenuNetGameSettingsVehicleRespawnTime&" );
        m_cVehicleRespawnTime.SetRangeValue( 0, m_nMaxValue, (int)m_cNetGameSettings._VEHICLE_MIN_RESPAWN_TIME_IN_SECONDS ) ;
        m_cVehicleRespawnTime.SetCheckBoxVisible( false );
		m_cVehicleRespawnTime.Reload();
        
        m_cIdentifyEnemies = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cIdentifyEnemies.Copy(m_cIdentifyEnemies, m_cPattern);
		AddElement(m_cIdentifyEnemies);
        m_cIdentifyEnemies.SetWindow( this );
        m_cIdentifyEnemies.SetLabelText( "&MenuNetGameSettingsIdentifyEnemyPlayers&" );
        m_cIdentifyEnemies.SetEditVisible( false );
        
        m_cEnemiesVisibleOnHudMap = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cEnemiesVisibleOnHudMap.Copy(m_cEnemiesVisibleOnHudMap, m_cPattern);
		AddElement(m_cEnemiesVisibleOnHudMap);
        m_cEnemiesVisibleOnHudMap.SetWindow( this );
        m_cEnemiesVisibleOnHudMap.SetLabelText( "&MenuNetGameSettingsEnemiesVisibleOnHudMap&" );
        m_cEnemiesVisibleOnHudMap.SetEditVisible( false );
        
        m_cFriendsVisibleOnHudMap = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cFriendsVisibleOnHudMap.Copy(m_cFriendsVisibleOnHudMap, m_cPattern);
		AddElement(m_cFriendsVisibleOnHudMap);
        m_cFriendsVisibleOnHudMap.SetWindow( this );
        m_cFriendsVisibleOnHudMap.SetLabelText( "&MenuNetGameSettingsFriendsVisibleOnHudMap&" );
        m_cFriendsVisibleOnHudMap.SetEditVisible( false );
        
        m_cVehiclesVisibleOnHudMap = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cVehiclesVisibleOnHudMap.Copy(m_cVehiclesVisibleOnHudMap, m_cPattern);
		AddElement(m_cVehiclesVisibleOnHudMap);
        m_cVehiclesVisibleOnHudMap.SetWindow( this );
        m_cVehiclesVisibleOnHudMap.SetLabelText( "&MenuNetGameSettingsVehiclesVisibleOnMap&" );
        m_cVehiclesVisibleOnHudMap.SetEditVisible( false );
        
        m_cFlagsVisibleOnHudMap = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cFlagsVisibleOnHudMap.Copy(m_cFlagsVisibleOnHudMap, m_cPattern);
		AddElement(m_cFlagsVisibleOnHudMap);
        m_cFlagsVisibleOnHudMap.SetWindow( this );
        m_cFlagsVisibleOnHudMap.SetLabelText( "&MenuNetGameSettingsFlagsVisibleOnHudMap&" );
        m_cFlagsVisibleOnHudMap.SetEditVisible( false );
        
        m_cBasesVisibleOnHudMap = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cBasesVisibleOnHudMap.Copy(m_cBasesVisibleOnHudMap, m_cPattern);
		AddElement(m_cBasesVisibleOnHudMap);
        m_cBasesVisibleOnHudMap.SetWindow( this );
        m_cBasesVisibleOnHudMap.SetLabelText( "&MenuNetGameSettingsBasesVisibleOnHudMap&" );
        m_cBasesVisibleOnHudMap.SetEditVisible( false );
        
        m_cTeamBalance = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cTeamBalance.Copy(m_cTeamBalance, m_cPattern);
		AddElement(m_cTeamBalance);
        m_cTeamBalance.SetWindow( this );
        m_cTeamBalance.SetLabelText( "&MenuNetGameSettingsTeamBalance&" );
        m_cTeamBalance.SetEditVisible( false );
        
        m_cFriendlyFire = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cFriendlyFire.Copy(m_cFriendlyFire, m_cPattern);
		AddElement(m_cFriendlyFire);
        m_cFriendlyFire.SetWindow( this );
        m_cFriendlyFire.SetLabelText( "&MenuNetGameSettingsFriendlyFire&" );
        m_cFriendlyFire.SetEditVisible( false );
        
        m_cStartWhenBothTeamsHavePlayers = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cStartWhenBothTeamsHavePlayers.Copy(m_cStartWhenBothTeamsHavePlayers, m_cPattern);
		AddElement(m_cStartWhenBothTeamsHavePlayers);
        m_cStartWhenBothTeamsHavePlayers.SetWindow( this );
        m_cStartWhenBothTeamsHavePlayers.SetLabelText( "&MenuNetGameSettingsStartGameWhenBothTeamsHavePlayers&" );
        m_cStartWhenBothTeamsHavePlayers.SetEditVisible( false );
        
        m_cChangeSideOnNextRound = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cChangeSideOnNextRound.Copy(m_cChangeSideOnNextRound, m_cPattern);
		AddElement(m_cChangeSideOnNextRound);
        m_cChangeSideOnNextRound.SetWindow( this );
        m_cChangeSideOnNextRound.SetLabelText( "&MenuNetGameSettingsChangeSideOnNextRound&" );
        m_cChangeSideOnNextRound.SetEditVisible( false );
        
        m_cRevengeMatch = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cRevengeMatch.Copy(m_cRevengeMatch, m_cPattern);
		AddElement(m_cRevengeMatch);
        m_cRevengeMatch.SetWindow( this );
        m_cRevengeMatch.SetLabelText( "&MenuNetGameSettingsRevengeMatch&" );
        m_cRevengeMatch.SetEditVisible( false );
        
        m_cDominationScoreUpdateTime = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cDominationScoreUpdateTime.Copy(m_cDominationScoreUpdateTime, m_cPattern);
		AddElement(m_cDominationScoreUpdateTime);
        m_cDominationScoreUpdateTime.SetWindow( this );
        m_cDominationScoreUpdateTime.SetLabelText( "&MenuNetGameSettingsDominationScoreUpdateTime&" );
        m_cDominationScoreUpdateTime.SetRangeValue( 1, m_nMaxValue, 5 ) ;
        m_cDominationScoreUpdateTime.SetCheckBoxVisible( false );
        
        m_cAllowDominateByDeadPlayer = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cAllowDominateByDeadPlayer.Copy(m_cAllowDominateByDeadPlayer, m_cPattern);
		AddElement(m_cAllowDominateByDeadPlayer);
        m_cAllowDominateByDeadPlayer.SetWindow( this );
        m_cAllowDominateByDeadPlayer.SetLabelText( "&MenuNetGameSettingsAllowDominateByDeadPlayer&" );
        m_cAllowDominateByDeadPlayer.SetEditVisible( false );
        
        m_cRoundTime = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cRoundTime.Copy(m_cRoundTime, m_cPattern);
		AddElement(m_cRoundTime);
        m_cRoundTime.SetWindow( this );
        m_cRoundTime.SetLabelText( "&MenuNetGameSettingsRoundTimeLimit&" );
        m_cRoundTime.SetRangeValue( 1, m_nMaxValue, m_cNetGameSettings._TIME_LIMIT_IN_MINUTES );            
        m_cRoundTime.SetCheckBoxVisible( false );
        
        m_cFlagAutoReturnTime = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cFlagAutoReturnTime.Copy(m_cFlagAutoReturnTime, m_cPattern);
		AddElement(m_cFlagAutoReturnTime);
        m_cFlagAutoReturnTime.SetWindow( this );
        m_cFlagAutoReturnTime.SetLabelText( "&MenuNetGameSettingsFlagAutoReturnTime&" );
        int nDefault = m_cNetGameSettings instanceof NetGameSettingsCTF ?
                      (int)((NetGameSettingsCTF)m_cNetGameSettings)._FLAG_AUTO_RETURN_TIME_IN_SECONDS: 180;
        m_cFlagAutoReturnTime.SetRangeValue( 1, 600, nDefault );
        m_cFlagAutoReturnTime.SetUnavailableValue( Text.Get("&MenuNetEditFieldNoAvailable&") );
        
        m_cVehicleAutoReturnTime = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cVehicleAutoReturnTime.Copy(m_cVehicleAutoReturnTime, m_cPattern);
		AddElement(m_cVehicleAutoReturnTime);
        m_cVehicleAutoReturnTime.SetWindow( this );
        m_cVehicleAutoReturnTime.SetLabelText( "&MenuNetGameSettingsVehicleAutoReturnTime&" );
        m_cVehicleAutoReturnTime.SetRangeValue( 1, 600, (int)m_cNetGameSettings._VEHICLE_AUTO_RETURN_TIME_IN_SECONDS );
        m_cVehicleAutoReturnTime.SetUnavailableValue( Text.Get("&MenuNetEditFieldNoAvailable&") );
    
        
        m_cAvailableInventoryRoom = (MenuNetEditControlsSet)CreateObject("MenuNetEditControlsSet");
		m_cAvailableInventoryRoom.Copy(m_cAvailableInventoryRoom, m_cPattern);
		AddElement(m_cAvailableInventoryRoom);
        m_cAvailableInventoryRoom.SetWindow( this );
        m_cAvailableInventoryRoom.SetLabelText( "&MenuNetGameSettingsAvailableInventoryRoom&" );
        m_cAvailableInventoryRoom.SetEditVisible( false );
        
        MenuModule=(ChromeMenuModule)GetModule();

		super.OnInit();
	}
	
	public void OnCreate()
    {
        super.OnCreate();
    }
    
        
    public void OnDestroy()
    {
        super.OnDestroy();
        if ( m_cPoints != null )
        {
            m_cPoints.delete();
            m_cPoints = null;
        }
        if ( m_cFrags != null )
        {
            m_cFrags.delete();
            m_cFrags = null;
        }
        if ( m_cTime != null )
        {
            m_cTime.delete();
            m_cTime = null;
        }
        if ( m_cRespawns != null )
        {
            m_cRespawns.delete();
            m_cRespawns = null;
        }
        if ( m_cRespawnTime != null )
        {
            m_cRespawnTime.delete();
            m_cRespawnTime = null;
        }
        if ( m_cVehicleRespawns != null )
        {
            m_cVehicleRespawns.delete();
            m_cVehicleRespawns = null;
        }
        if ( m_cVehicleRespawnTime != null )
        {
            m_cVehicleRespawnTime.delete();
            m_cVehicleRespawnTime = null;
        }
        if ( m_cEnemiesVisibleOnHudMap != null )
        {
            m_cEnemiesVisibleOnHudMap.delete();
            m_cEnemiesVisibleOnHudMap = null;
        }
        if ( m_cFriendsVisibleOnHudMap != null )
        {
            m_cFriendsVisibleOnHudMap.delete();
            m_cFriendsVisibleOnHudMap = null;
        }
        if ( m_cFlagsVisibleOnHudMap != null )
        {
            m_cFlagsVisibleOnHudMap.delete();
            m_cFlagsVisibleOnHudMap = null;
        }
        if ( m_cBasesVisibleOnHudMap != null )
        {
            m_cBasesVisibleOnHudMap.delete();
            m_cBasesVisibleOnHudMap = null;
        }

        if ( m_cDominationScoreUpdateTime != null )
        {
            m_cDominationScoreUpdateTime.delete();
            m_cDominationScoreUpdateTime = null;
        }
        
        if ( m_cAllowDominateByDeadPlayer != null )
        {
            m_cAllowDominateByDeadPlayer.delete();
            m_cAllowDominateByDeadPlayer = null;
        }
        if ( m_cRoundTime != null )
        {
            m_cRoundTime.delete();
            m_cRoundTime = null;
        }
        if ( m_cAvailableInventoryRoom != null )
        {
            m_cAvailableInventoryRoom.delete();
            m_cAvailableInventoryRoom = null;
        }
    }
    
    public void Show()
    {
		if (!m_bInited)
			return;
		
		if (!GetEditMode())
		{
			MenuButtonSized m_cButton = (MenuButtonSized)GetElem("ID_DEFAULT");			
			m_cButton.Hide();
			
			m_cButton = (MenuButtonSized)GetElem("ID_CANCEL");			
			m_cButton.Hide();
		} else
		{
			MenuButtonSized m_cButton = (MenuButtonSized)GetElem("ID_DEFAULT");			
			m_cButton.Show();
			
			m_cButton = (MenuButtonSized)GetElem("ID_CANCEL");			
			m_cButton.Show();
		}
		
        CopyDataFromObjectToMenu();
        
        String sLabelTitleText =  Text.Get("&MenuNetGameSettingsTitle&")+
                                  "  :  "+
                                  Sprite.TextToUpperCase(m_cNetGameSettings.GetLevelName())+
                                  "  ( "+
                                  ENetGameType.GetGameName( m_cNetGameSettings.GetGameType())+
                                  " )";
        
        m_cLabelTitle.DisplayText( sLabelTitleText );
        
        super.Show();
        
        if ((MenuModule != null) && (MenuModule.cMenuBackground != null))
        {
			MenuModule.cMenuBackground.Show();
            MenuModule.cCursor.Show();
            MenuModule.cCursor.MoveTop();
            MenuModule.cMenuBackground.FullView(false);
        }
    }
    
    public void Hide()
    {
        super.Hide();
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);

		if (nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
			if (cSender.m_sId.equals("ID_DEFAULT"))
            {
				Default();
			} 
            else if (cSender.m_sId.equals("ID_DONE"))
			{		  
			    Accept();
			} 
            else if (cSender.m_sId.equals("ID_CANCEL"))
		    {
			    Discard();
			}
        }
    }
    
    void Default()
    {
        m_cNetGameSettings.SetDefaultSettings();
        CopyDataFromObjectToMenu();
    }
    
    void Accept()
    {
        if ( GetEditMode() )
        {
            CopyDataFromMenuToObject();
            m_cNetGameSettings.SaveCustomSettings();
        }
        Discard();
    }
    
    
    void CopyDataFromObjectToMenu()
    {
		
        if ( m_cPoints.Initialized() )
            m_cPoints.SetValue( m_cNetGameSettings.GetPointsLimit() );
        if ( m_cFrags.Initialized() )
            m_cFrags.SetValue( m_cNetGameSettings.GetFragsLimit() );
        if ( m_cTime.Initialized() )
            m_cTime.SetValue( m_cNetGameSettings.GetGameTimeLimitInMinutes() );
        if ( m_cRespawns.Initialized() )
            m_cRespawns.SetValue( m_cNetGameSettings.GetRespawnCntLimit() );
        if ( m_cRespawnTime.Initialized() )
            m_cRespawnTime.SetValue( (int)m_cNetGameSettings.GetMinRespawnTime() );
        if ( m_cVehicleRespawns.Initialized() )
            m_cVehicleRespawns.SetValue( m_cNetGameSettings.GetVehicleRespawnCntLimit() );
        if ( m_cVehicleRespawnTime.Initialized() )
            m_cVehicleRespawnTime.SetValue( (int)m_cNetGameSettings.GetVehicleMinRespawnTime() );
        if ( m_cEnemiesVisibleOnHudMap.Initialized() )
            m_cEnemiesVisibleOnHudMap.SetValue( m_cNetGameSettings.GetEnemiesVisibleOnHudMap() );
        if ( m_cRoundTime.Initialized() )
            m_cRoundTime.SetValue( m_cNetGameSettings.GetGameTimeLimitInMinutes() );
        if ( m_cAvailableInventoryRoom.Initialized() )
            m_cAvailableInventoryRoom.SetValue( m_cNetGameSettings.GetAvailableInventoryRoom() );        
        if ( m_cIdentifyEnemies.Initialized() )
            m_cIdentifyEnemies.SetValue( m_cNetGameSettings.GetIdentifyEnemyPlayers() );
        if ( m_cVehiclesVisibleOnHudMap.Initialized() )
            m_cVehiclesVisibleOnHudMap.SetValue( m_cNetGameSettings.GetVehiclesVisibleOnHudMap() );           
        if ( m_cVehicleAutoReturnTime.Initialized() )        
            m_cVehicleAutoReturnTime.SetValue( (int)m_cNetGameSettings.GetVehicleAutoReturnTime() );
    }
    
    void CopyDataFromMenuToObject()
    {
        if ( m_cPoints.Initialized() )
            m_cNetGameSettings.SetPointsLimit( m_cPoints.GetInt() );
        if ( m_cFrags.Initialized() )
            m_cNetGameSettings.SetFragsLimit( m_cFrags.GetInt() );
        if ( m_cTime.Initialized() )
            m_cNetGameSettings.SetGameTimeLimitInMinutes( m_cTime.GetInt() );
        if ( m_cRespawns.Initialized() )
            m_cNetGameSettings.SetRespawnCntLimit( m_cRespawns.GetInt() );
        if ( m_cRespawnTime.Initialized() )
            m_cNetGameSettings.SetMinRespawnTimeInSeconds( (float)m_cRespawnTime.GetInt() );
        if ( m_cVehicleRespawns.Initialized() )
            m_cNetGameSettings.SetVehicleRespawnCntLimit( m_cVehicleRespawns.GetInt() );
        if ( m_cVehicleRespawnTime.Initialized() )
            m_cNetGameSettings.SetVehicleMinRespawnTimeInSeconds( (float)m_cVehicleRespawnTime.GetInt() );
        if ( m_cEnemiesVisibleOnHudMap.Initialized() )
            m_cNetGameSettings.SetEnemiesVisibleOnHudMap( m_cEnemiesVisibleOnHudMap.GetBoolean() );   
        if ( m_cRoundTime.Initialized() )
            m_cNetGameSettings.SetGameTimeLimitInMinutes( m_cRoundTime.GetInt() );
        if ( m_cAvailableInventoryRoom.Initialized() )
            m_cNetGameSettings.SetAvailableInventoryRoom( m_cAvailableInventoryRoom.GetBoolean() );   
        if ( m_cIdentifyEnemies.Initialized() )
            m_cNetGameSettings.SetIdentifyEnemyPlayers( m_cIdentifyEnemies.GetBoolean() );   
        if ( m_cVehiclesVisibleOnHudMap.Initialized() )
            m_cNetGameSettings.SetVehiclesVisibleOnHudMap( m_cVehiclesVisibleOnHudMap.GetBoolean() );           
        if ( m_cVehicleAutoReturnTime.Initialized() )        
            m_cNetGameSettings.SetVehicleAutoReturnTime( (float)m_cVehicleAutoReturnTime.GetInt() );
    }
}

