public class MenuNetGameSettingsTeam extends MenuNetGameSettings
{
    NetGameSettingsTeam m_cNetGameSettingsTeam = null;
    void SetGameSettings(NetGameSettings cGameSettings)
    {
        super.SetGameSettings( cGameSettings );
        
        if ( cGameSettings instanceof NetGameSettingsTeam )
            m_cNetGameSettingsTeam = (NetGameSettingsTeam)cGameSettings;
        else
            LogD(" Nieodpowiedni obiekt game settings "+cGameSettings+"\n");
    }
    
    void CopyDataFromObjectToMenu()
    {
        super.CopyDataFromObjectToMenu();
        
        if ( m_cFriendsVisibleOnHudMap.Initialized() )
            m_cFriendsVisibleOnHudMap.SetValue( m_cNetGameSettingsTeam.GetFriendsVisibleOnHudMap() );
        if ( m_cTeamBalance.Initialized() )
            m_cTeamBalance.SetValue( m_cNetGameSettingsTeam.GetTeamBalance() );
        if ( m_cFriendlyFire.Initialized() )
            m_cFriendlyFire.SetValue( m_cNetGameSettingsTeam.GetFriendlyFire() );
        if ( m_cStartWhenBothTeamsHavePlayers.Initialized() )
            m_cStartWhenBothTeamsHavePlayers.SetValue( (m_cNetGameSettingsTeam.GetMinTeamsToStartGame() > 1) );
        
    }
    
    void CopyDataFromMenuToObject()
    {
        super.CopyDataFromMenuToObject();
        
        if ( m_cFriendsVisibleOnHudMap.Initialized() )
            m_cNetGameSettingsTeam.SetFriendsVisibleOnHudMap( m_cFriendsVisibleOnHudMap.GetBoolean() );
        if ( m_cTeamBalance.Initialized() )
            m_cNetGameSettingsTeam.SetTeamBalance( m_cTeamBalance.GetBoolean() );   
        if ( m_cFriendlyFire.Initialized() )
            m_cNetGameSettingsTeam.SetFriendlyFire( m_cFriendlyFire.GetBoolean() );   
        if ( m_cStartWhenBothTeamsHavePlayers.Initialized() )
            m_cNetGameSettingsTeam.SetMinTeamsToStartGame( m_cStartWhenBothTeamsHavePlayers.GetBoolean() ? 2 : 1 );
    }
}
