public class AIAnimationsHuman extends AIAnimations
{
    //////////////////////////////////////////////////
    // Indeksy do tablicy animacji
    
    /** Poruszanie sie */
    public final static int A_STAND               = 0;
    public final static int A_FORWARD             = 1;
    public final static int A_BACKWARD            = 2;
    public final static int A_STRAFE_LEFT         = 3;
    public final static int A_STRAFE_RIGHT        = 4;
    public final static int A_ROTATE_LEFT         = 5;
    public final static int A_ROTATE_RIGHT        = 6;
    public final static int A_BACK_ROTATE_LEFT    = 7;
    public final static int A_BACK_ROTATE_RIGHT   = 8;
                                             
    /** Zmiana sposobu poruszania sie */
    public final static int A_CRAWL2DUCK          = 9;
    public final static int A_CRAWL2STAND         = 10;
    public final static int A_DUCK2CRAWL          = 11;
    public final static int A_STAND2CRAWL         = 12;

    /** Pojazdy */
    public final static int A_GET_IN              = 13;//getin
    public final static int A_DRIVE               = 14;
    public final static int A_GET_OUT             = 15;//getout
    
    /** Bron */
    public final static int A_WEAPON_FIRE         = 16;
    public final static int A_WEAPON_RELOAD       = 17;
    public final static int A_WEAPON_GET          = 18;
    public final static int A_WEAPON_PUTAWAY      = 19;
    public final static int A_THROW_GRENADE       = 20;

                                             
    /** Animacje postrzalow */                                             
    public final static int A_TAKE_HIT_FRONT      = 21;
    public final static int A_TAKE_HIT_BACK       = 22;
    public final static int A_TAKE_HIT_LEFT       = 23;
    public final static int A_TAKE_HIT_RIGHT      = 24;
                                             
    /** Animacje smierci */                                             
    public final static int A_DIE_FRONT           = 25;//death_front
    public final static int A_DIE_BACK            = 26;//death_back
    public final static int A_DIE_LEFT            = 27;//death_left
    public final static int A_DIE_RIGHT           = 28;//death_right
    public final static int A_DIE_DUCK            = 29;//death_duck
    public final static int A_DIE_CRAWL           = 30;//death_crawl

    /** Specjalne */
    public final static int A_FORWARD_SEARCH      = 31;//chodzi_patrol
    public final static int A_SIGN1               = 32;
    public final static int A_SIGN2               = 33;
    
    public final static int A_LEAN_LEFT           = 34;//Rwns2dl
    public final static int A_LEAN_LEFT_RET       = 35;//Rwns2dlb
    public final static int A_LEAN_RIGHT          = 36;//Rwns2dr
    public final static int A_LEAN_RIGHT_RET      = 37;//Rwns2drb
    public final static int A_BACK_LEAN_LEFT      = 38;//Rwlean180l
    public final static int A_BACK_LEAN_LEFT_RET  = 39;//Rwlean180lb
    public final static int A_BACK_LEAN_RIGHT     = 40;//Rwlean180r
    public final static int A_BACK_LEAN_RIGHT_RET = 41;//Rwlean180rb

    /** Reakcje */
    public final static int A_WONDERING           = 42;//zastanawia_sie
    public final static int A_LOOK_AROUND         = 43;//rozglada_sie
    public final static int A_HEARD_SHOT1         = 44;//uslyszal_strzal
    public final static int A_HEARD_SHOT1_UP      = 45;//uslyszal_strzal_gora
    public final static int A_HEARD_SHOT2         = 46;//uslyszal_strzal2
    public final static int A_HEARD_SHOT2_UP      = 47;//uslyszal_strzal2_gora
    public final static int A_HEARD_SHOT3         = 48;//uslyszal_strzal3
    public final static int A_HEARD_SHOT3_UP      = 49;//uslyszal_strzal3_gora
    public final static int A_GET_DOWN            = 50;//pad
    public final static int A_CHEER_LOOP1         = 51;//radosc1_loop
    public final static int A_CHEER_LOOP2         = 52;//radosc2_loop
    public final static int A_CHEER_LOOP3         = 53;//radosc12_loop
    
    /** Idle */                                         
    public final static int A_IDLE_STAND          = 54;//op_stoi                                           
    public final static int A_IDLE_LOOK_AROUND    = 55;//op_rozglada_sie                                           
    public final static int A_IDLE_SCRATCH        = 56;//op_drapie_sie_po_jajach                                           

    public final static int A_SMOKE_START         = 57;//fajka_odpala
    public final static int A_SMOKE_LOOP          = 58;//fajka_loop
    public final static int A_SMOKE_END           = 59;//fajka_wyrzuca

    public final static int A_TALK                = 60;//gadka_loop
    public final static int A_KEYBOARD            = 61;//klepie_w_klawiature_loop
                   
    public final static int A_IDLE01              = 62;//gapi_sie_w_niebo
    public final static int A_IDLE02              = 63;//grzebie_noga
    public final static int A_IDLE03              = 64;//majstruje_przy_zamku_loop
    public final static int A_IDLE04              = 65;//komar
    public final static int A_IDLE05              = 66;//przeciaga_sie
    public final static int A_IDLE06              = 67;//gimnastyka

    public final static int A_JUMPING_LOOP        = 68;//pajacyk_loop
    
    public final static int A_PUMP_START          = 69;//do_pompki
    public final static int A_PUMP_LOOP           = 70;//pompki_loop
    public final static int A_PUMP_END            = 71;//z_pompki
                                             
    public final static int A_GUN_IDLE_START      = 72;//do_gun_na_ramieniu
    public final static int A_GUN_IDLE_LOOP1      = 73;//gun_na_ramieniu_loop
    public final static int A_GUN_IDLE_LOOP2      = 74;//gun_na_ramieniu2_loop
    public final static int A_GUN_IDLE_STOP       = 75;//z_gun_na_ramieniu
    
    public final static int A_BOX_LOOK_AROUND     = 76;//sk_rozglada_sie_loop
    public final static int A_BOX_SMOKE_START     = 77;//sk_zapala
    public final static int A_BOX_SMOKE_LOOP      = 78;//sk_pali_loop
    public final static int A_BOX_SMOKE_END       = 79;//sk_wyrzuca
    public final static int A_BOX_JUMP_OUT        = 80;//sk_zeskakuje
    
    public final static int A_BUTT_HIT            = 81;//Rb - walniecie kolba
    
    public final static int A_FRIGHTENED          = 82;//boi_sie - zaslanianie sie rekami (naukowcy)
    
    public final static int A_DIE_DRIVE_F         = 83;// smierci w jeepie
    public final static int A_DIE_DRIVE_B         = 84;
    public final static int A_DIE_DRIVE_L         = 85;
    public final static int A_DIE_DRIVE_R         = 86;
    
    public final static int A_DIE_RIDE_F          = 87;// smierci w speederze
    public final static int A_DIE_RIDE_B          = 88;
    public final static int A_DIE_RIDE_L          = 89;
    public final static int A_DIE_RIDE_R          = 90;
    
    public final static int A_EYES_BLINK          = 91;// mruganie
    ///////////////////////////////////////////////////////////////////////////////
    
    
    ///////////////////////////////////////////////////////////////
    // Znaczniki o dostepnosci animacji dla poszczegolnych broni
    //
    protected boolean bCanUseHandsAnims = false;        
    protected boolean bCanUsePistolAnims = false;        
    protected boolean bCanUseRifleAnims = false;        
    
    /** Dostepne dla AI typy broni
     */    
    protected byte aWeaponTypes[] = { EWeaponType._HAND, 
                                      EWeaponType._PISTOL,
                                      EWeaponType._RIFLE };
    
    ///////////////////////////////////////////////////////////////////////////////

    public AIAnimationsHuman(int nVal)
    {
        super(nVal);
    }
    
    
    /** Metoda ustawia znaczniki o dostepnosci animacji dla rozych typow broni
     */
    protected void UpdateAvailableAnims()
    {
        bCanUseHandsAnims = (m_OwnerMesh.GetAnimID(m_sRootElementName, "Nwn") > 0);
        bCanUsePistolAnims = (m_OwnerMesh.GetAnimID(m_sRootElementName, "Pwn") > 0);
        bCanUseRifleAnims = (m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwn") > 0);
    }

    
    /** Metoda tworzy identyfikator animacji przy podanych warunkach
     */
    protected int BuildSeqID(int nWeaponType, int iSpeed, int nDisableAiming, int nPumpAction)
    {
		if (iSpeed == MotionState.SPEED_STILL)
			iSpeed = MotionState.SPEED_WALK;
        return (nWeaponType << 6) | (iSpeed << 9) | (nDisableAiming << 12) | (nPumpAction << 13);
    }

    
    public void InitializeImmutableAnimations()
    {
        // ustaw znaczniki o dostepnosci animacji
        UpdateAvailableAnims();

        m_aAnims[A_GET_IN]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "getin");
        m_aAnims[A_DRIVE]                 = m_OwnerMesh.GetAnimID(m_sRootElementName, "drive"); //BRAKUJE!!!
        m_aAnims[A_GET_OUT]               = m_OwnerMesh.GetAnimID(m_sRootElementName, "getout");

        m_aAnims[A_DIE_FRONT]             = m_OwnerMesh.GetAnimID(m_sRootElementName, "death_front");
        m_aAnims[A_DIE_BACK]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "death_back");
        m_aAnims[A_DIE_LEFT]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "death_left");
        m_aAnims[A_DIE_RIGHT]             = m_OwnerMesh.GetAnimID(m_sRootElementName, "death_right");
        m_aAnims[A_DIE_DUCK]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "death_duck");
        m_aAnims[A_DIE_CRAWL]             = m_OwnerMesh.GetAnimID(m_sRootElementName, "death_crawl");

        m_aAnims[A_DIE_DRIVE_F]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "drive_death_f");
        m_aAnims[A_DIE_DRIVE_B]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "drive_death_b");
        m_aAnims[A_DIE_DRIVE_L]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "drive_death_l");
        m_aAnims[A_DIE_DRIVE_R]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "drive_death_r");

        m_aAnims[A_DIE_RIDE_F]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "ride_death_f");
        m_aAnims[A_DIE_RIDE_B]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "ride_death_b");
        m_aAnims[A_DIE_RIDE_L]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "ride_death_l");
        m_aAnims[A_DIE_RIDE_R]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "ride_death_r");
        
        m_aAnims[A_FORWARD_SEARCH]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "chodzi_patrol");
        
        m_aAnims[A_LEAN_LEFT]             = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwns2dl");
        m_aAnims[A_LEAN_LEFT_RET]         = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwns2dlb");
        m_aAnims[A_LEAN_RIGHT]            = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwns2dr");
        m_aAnims[A_LEAN_RIGHT_RET]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwns2drb");
        m_aAnims[A_BACK_LEAN_LEFT]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwlean180l");
        m_aAnims[A_BACK_LEAN_LEFT_RET]    = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwlean180lb");
        m_aAnims[A_BACK_LEAN_RIGHT]       = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwlean180r");
        m_aAnims[A_BACK_LEAN_RIGHT_RET]   = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rwlean180rb");
        
        m_aAnims[A_WONDERING]             = m_OwnerMesh.GetAnimID(m_sRootElementName, "zastanawia_sie");
        m_aAnims[A_LOOK_AROUND]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "rozglada_sie");
        m_aAnims[A_HEARD_SHOT1]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "uslyszal_strzal");
        m_aAnims[A_HEARD_SHOT1_UP]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "uslyszal_strzal_gora");
        m_aAnims[A_HEARD_SHOT2]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "uslyszal_strzal2");
        m_aAnims[A_HEARD_SHOT2_UP]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "uslyszal_strzal2_gora");
        m_aAnims[A_HEARD_SHOT3]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "uslyszal_strzal3");
        m_aAnims[A_HEARD_SHOT3_UP]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "uslyszal_strzal3_gora");
        m_aAnims[A_GET_DOWN]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "pad");
        m_aAnims[A_CHEER_LOOP1]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "radosc1_loop");
        m_aAnims[A_CHEER_LOOP2]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "radosc2_loop");
        m_aAnims[A_CHEER_LOOP3]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "radosc12_loop");
        
        m_aAnims[A_IDLE_STAND]            = m_OwnerMesh.GetAnimID(m_sRootElementName, "op_stoi");
        m_aAnims[A_IDLE_LOOK_AROUND]      = m_OwnerMesh.GetAnimID(m_sRootElementName, "op_rozglada_sie");
        m_aAnims[A_IDLE_SCRATCH]          = m_OwnerMesh.GetAnimID(m_sRootElementName, "op_drapie_sie_po_jajach");
        
        m_aAnims[A_SMOKE_START]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "fajka_odpala");
        m_aAnims[A_SMOKE_LOOP]            = m_OwnerMesh.GetAnimID(m_sRootElementName, "fajka_loop");
        m_aAnims[A_SMOKE_END]             = m_OwnerMesh.GetAnimID(m_sRootElementName, "fajka_wyrzuca");
        
        m_aAnims[A_TALK]                  = m_OwnerMesh.GetAnimID(m_sRootElementName, "gadka_loop");
        m_aAnims[A_KEYBOARD]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "klepie_w_klawiature_loop");
        
        m_aAnims[A_IDLE01]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "gapi_sie_w_niebo");
        m_aAnims[A_IDLE02]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "grzebie_noga");
        m_aAnims[A_IDLE03]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "majstruje_przy_zamku_loop");
        m_aAnims[A_IDLE04]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "komar");
        m_aAnims[A_IDLE05]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "przeciaga_sie");
        m_aAnims[A_IDLE06]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "gimnastyka");
        
        m_aAnims[A_JUMPING_LOOP]          = m_OwnerMesh.GetAnimID(m_sRootElementName, "pajacyk_loop");
        
        m_aAnims[A_PUMP_START]            = m_OwnerMesh.GetAnimID(m_sRootElementName, "do_pompki");
        m_aAnims[A_PUMP_LOOP]             = m_OwnerMesh.GetAnimID(m_sRootElementName, "pompki_loop");
        m_aAnims[A_PUMP_END]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "z_pompki");
        
        m_aAnims[A_GUN_IDLE_START]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "do_gun_na_ramieniu");
        m_aAnims[A_GUN_IDLE_LOOP1]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "gun_na_ramieniu_loop");
        m_aAnims[A_GUN_IDLE_LOOP2]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "gun_na_ramieniu2_loop");
        m_aAnims[A_GUN_IDLE_STOP]         = m_OwnerMesh.GetAnimID(m_sRootElementName, "z_gun_na_ramieniu");
        
        m_aAnims[A_BOX_LOOK_AROUND]       = m_OwnerMesh.GetAnimID(m_sRootElementName, "sk_rozglada_sie_loop");
        m_aAnims[A_BOX_SMOKE_START]       = m_OwnerMesh.GetAnimID(m_sRootElementName, "sk_zapala");
        m_aAnims[A_BOX_SMOKE_LOOP]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "sk_pali_loop");
        m_aAnims[A_BOX_SMOKE_END]         = m_OwnerMesh.GetAnimID(m_sRootElementName, "sk_wyrzuca");
        m_aAnims[A_BOX_JUMP_OUT]          = m_OwnerMesh.GetAnimID(m_sRootElementName, "sk_zeskakuje");

        m_aAnims[A_BUTT_HIT]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "Rb");
        m_aAnims[A_FRIGHTENED]            = m_OwnerMesh.GetAnimID(m_sRootElementName, "boi_sie");
        
        m_aAnims[A_EYES_BLINK]            = m_OwnerMesh.GetAnimID("Eyelids", "Eyelids_Blink");
        m_OwnerMesh.SetAnimBlock("Eyelids", true);
            
        // ustawienie flag, ktore mowia w jaki sposob beda animowane kosci
        m_OwnerMesh.SetAnimType( EBones._HEAD, (byte)(EAnimType._SEQUENCE | EAnimType._TRANSFORM), false );
        m_OwnerMesh.SetAnimType( EBones._NECK, (byte)(EAnimType._SEQUENCE | EAnimType._TRANSFORM), false );
        m_OwnerMesh.SetAnimType( EBones._SPINE, (byte)(EAnimType._SEQUENCE | EAnimType._TRANSFORM), false);
        m_OwnerMesh.SetAnimType( EBones._SPINE1, (byte)(EAnimType._SEQUENCE | EAnimType._TRANSFORM), false);
        m_OwnerMesh.SetAnimType( EBones._PELVIS, (byte)(EAnimType._SEQUENCE | EAnimType._TRANSFORM), false);
        //----------------------------------------------------------------------
        
        int nUserID = 0;
        byte nWeaponType = 0;
        
        for(int i=0; i<aWeaponTypes.length; i++)
        {
            nWeaponType = aWeaponTypes[i];
            
            // Wywal przebiegi od brakujacych animacji
            if ((!bCanUseHandsAnims && (nWeaponType == EWeaponType._HAND)) ||
                (!bCanUsePistolAnims && (nWeaponType == EWeaponType._PISTOL)) ||
                (!bCanUseRifleAnims && (nWeaponType == EWeaponType._RIFLE)))
                continue;
            
            String prefix = "";
            
            switch (nWeaponType)
            {
            case EWeaponType._HAND      : prefix = "N"; break;
            case EWeaponType._KNIFE     : prefix = "K"; break;
            case EWeaponType._PISTOL    : prefix = "P"; break;
            case EWeaponType._RIFLE     : prefix = "R"; break;
            case EWeaponType._HEAVY     : prefix = "H"; break;
            case EWeaponType._GRENADE   : prefix = "G"; break;
            }

            nUserID = BuildSeqID(nWeaponType, 0,0,0);
            m_OwnerMesh.SetUserSeqID( prefix+"c2d", A_CRAWL2DUCK + nUserID);
            m_OwnerMesh.SetUserSeqID( prefix+"c2s", A_CRAWL2STAND + nUserID);
            m_OwnerMesh.SetUserSeqID( prefix+"d2c", A_DUCK2CRAWL + nUserID);
            m_OwnerMesh.SetUserSeqID( prefix+"s2c", A_STAND2CRAWL + nUserID);
            
            //TODO: Licznie tego na podstawie broni...
            String sReloadPostfix = "re_1";
            
            int nSpeed = 0;
            for(nSpeed = MotionState.SPEED_STILL; nSpeed <= MotionState.SPEED_RUN; nSpeed++)
            {
                String prefix1 = new String(prefix);
                switch (nSpeed)
                {
                case MotionState.SPEED_RUN : prefix1 += "r"; break;
                case MotionState.SPEED_WALK : prefix1 += "w"; break;
                case MotionState.SPEED_DUCK : prefix1 += "d"; break;
                case MotionState.SPEED_CRAWL : prefix1 += "c"; break;
                case MotionState.SPEED_STILL : prefix1 += "w"; break;
                default: ;
                }

                nUserID = BuildSeqID(nWeaponType, nSpeed,0,0);
                m_OwnerMesh.SetUserSeqID( prefix1+sReloadPostfix, A_WEAPON_RELOAD + nUserID);
                m_OwnerMesh.SetUserSeqID( prefix1+"g", A_WEAPON_GET + nUserID);
                m_OwnerMesh.SetUserSeqID( prefix1+"p", A_WEAPON_PUTAWAY + nUserID);
                
                int nDisableAiming = 0;
                for(nDisableAiming = 0; nDisableAiming <= 1; nDisableAiming++)
                {
                    String prefix2 = new String(prefix1);
                    
                    if (nDisableAiming==0)
                        prefix2 += "a";
                    else
                        prefix2 += "n";

                    nUserID = BuildSeqID(nWeaponType, nSpeed,nDisableAiming,0);
                    m_OwnerMesh.SetUserSeqID( prefix2+"s", A_STAND + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"", A_FORWARD + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"b", A_BACKWARD + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"sl", A_STRAFE_LEFT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"sr", A_STRAFE_RIGHT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"rl", A_ROTATE_LEFT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"rr", A_ROTATE_RIGHT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"rlb", A_BACK_ROTATE_LEFT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"rrb", A_BACK_ROTATE_RIGHT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"sgrenade", A_THROW_GRENADE + nUserID);

                    m_OwnerMesh.SetUserSeqID( prefix2+"sh_f", A_TAKE_HIT_FRONT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"sh_b", A_TAKE_HIT_BACK + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"sh_l", A_TAKE_HIT_LEFT + nUserID);
                    m_OwnerMesh.SetUserSeqID( prefix2+"sh_r", A_TAKE_HIT_RIGHT + nUserID);
                    

                    int nPumpAction = 0;
                    for(nPumpAction = 0; nPumpAction <= 1; nPumpAction++)
                    {
                        String prefix3 = new String(prefix2);
                        
                        if ( nPumpAction==0 )
                            m_OwnerMesh.SetUserSeqID(prefix3+"fS", A_WEAPON_FIRE + BuildSeqID(nWeaponType, nSpeed, nDisableAiming,nPumpAction) );
                        else
                            m_OwnerMesh.SetUserSeqID(prefix3+"f", A_WEAPON_FIRE + BuildSeqID(nWeaponType, nSpeed, nDisableAiming,nPumpAction) );
                    }
                }
            }
        }
    }
    
    
    
    public void SetupAnimations(AIMotionState cMotion)
    {
        int nUserID;
        byte weaponType;
        boolean bPumpAction = false;

        if (m_OwnerMesh.ActiveWeapon != null)
        {
            weaponType = m_OwnerMesh.ActiveWeapon.nType;
            bPumpAction = m_OwnerMesh.ActiveWeapon.bPumpAction;
        }
        else
            weaponType = EWeaponType._HAND;

        
        // odpal tylko te dozwolone animacje
        if ( !(bCanUseHandsAnims && weaponType == EWeaponType._HAND) &&
             !(bCanUsePistolAnims && weaponType == EWeaponType._PISTOL) &&
             bCanUseRifleAnims)
        {
            if (bCanUseRifleAnims)
                weaponType = EWeaponType._RIFLE;
            else if (bCanUseHandsAnims)
                weaponType = EWeaponType._HAND;
            else if (bCanUsePistolAnims)
                weaponType = EWeaponType._PISTOL;
            else
            {
                // no coz, po staremu...
                weaponType = EWeaponType._RIFLE;
            }
        }
        
        nUserID = BuildSeqID(weaponType,0,0,0);
        m_aAnims[A_CRAWL2DUCK]         = m_OwnerMesh.GetAnimID(m_nRootElementID, A_CRAWL2DUCK + nUserID);
        m_aAnims[A_CRAWL2STAND]        = m_OwnerMesh.GetAnimID(m_nRootElementID, A_CRAWL2STAND + nUserID);
        m_aAnims[A_DUCK2CRAWL]         = m_OwnerMesh.GetAnimID(m_nRootElementID, A_DUCK2CRAWL + nUserID);
        m_aAnims[A_STAND2CRAWL]        = m_OwnerMesh.GetAnimID(m_nRootElementID, A_STAND2CRAWL + nUserID);

        int nSpeed = cMotion.GetSpeed();
        
        //HACK: brakuje animacji dla SPEED_RUN - podstaw te dla WALK
        nUserID = BuildSeqID(weaponType, (nSpeed != MotionState.SPEED_RUN) ? 
                                         nSpeed : MotionState.SPEED_WALK, 0,0);
        
        //HACK: jest Root a powinno byc Torso - wali sie niestety
        m_aAnims[A_WEAPON_RELOAD]         = m_OwnerMesh.GetAnimID(m_nRootElementID, A_WEAPON_RELOAD + nUserID);
        m_aAnims[A_WEAPON_GET]            = m_OwnerMesh.GetAnimID(m_nRootElementID, A_WEAPON_GET + nUserID);
        m_aAnims[A_WEAPON_PUTAWAY]        = m_OwnerMesh.GetAnimID(m_nRootElementID, A_WEAPON_PUTAWAY + nUserID);

        nUserID = BuildSeqID(weaponType, nSpeed, 0,0);

        int nDisableAiming = 0;
        if (cMotion.bAiming == true && 
            nSpeed != MotionState.SPEED_CRAWL &&
            (nSpeed != MotionState.SPEED_RUN || 
             (nSpeed == MotionState.SPEED_RUN && !cMotion.IsMovingLinear()))
            )
            nDisableAiming = 0;
        else
            nDisableAiming = 1;

        
        nUserID = BuildSeqID(weaponType, nSpeed, nDisableAiming, 0);
        m_aAnims[A_STAND]              = m_OwnerMesh.GetAnimID(m_nRootElementID, A_STAND + nUserID);
        m_aAnims[A_FORWARD]            = m_OwnerMesh.GetAnimID(m_nRootElementID, A_FORWARD + nUserID);
        m_aAnims[A_BACKWARD]           = m_OwnerMesh.GetAnimID(m_nRootElementID, A_BACKWARD + nUserID);
        m_aAnims[A_STRAFE_LEFT]        = m_OwnerMesh.GetAnimID(m_nRootElementID, A_STRAFE_LEFT + nUserID);
        m_aAnims[A_STRAFE_RIGHT]       = m_OwnerMesh.GetAnimID(m_nRootElementID, A_STRAFE_RIGHT + nUserID);
        m_aAnims[A_ROTATE_LEFT]        = m_OwnerMesh.GetAnimID(m_nRootElementID, A_ROTATE_LEFT + nUserID);
        m_aAnims[A_ROTATE_RIGHT]       = m_OwnerMesh.GetAnimID(m_nRootElementID, A_ROTATE_RIGHT + nUserID);
        
        m_aAnims[A_TAKE_HIT_FRONT]     = m_OwnerMesh.GetAnimID(m_nRootElementID, A_TAKE_HIT_FRONT + nUserID);
        m_aAnims[A_TAKE_HIT_BACK]      = m_OwnerMesh.GetAnimID(m_nRootElementID, A_TAKE_HIT_BACK + nUserID);
        m_aAnims[A_TAKE_HIT_LEFT]      = m_OwnerMesh.GetAnimID(m_nRootElementID, A_TAKE_HIT_LEFT + nUserID);
        m_aAnims[A_TAKE_HIT_RIGHT]     = m_OwnerMesh.GetAnimID(m_nRootElementID, A_TAKE_HIT_RIGHT + nUserID);

        /** Animacje A_BACK_ROTATE_* tylko dla speed walk, ale chcemy je odpalac dla speed run zamiast
         *  A_ROTATE_*
         */
        m_aAnims[A_BACK_ROTATE_LEFT]   = m_OwnerMesh.GetAnimID(m_nRootElementID, A_BACK_ROTATE_LEFT + BuildSeqID(weaponType, MotionState.SPEED_WALK, 1, 0));
        m_aAnims[A_BACK_ROTATE_RIGHT]  = m_OwnerMesh.GetAnimID(m_nRootElementID, A_BACK_ROTATE_RIGHT + BuildSeqID(weaponType, MotionState.SPEED_WALK, 1, 0));

        /** Animacje rzutu granatem tylko bez przycelowania
         */
        m_aAnims[A_THROW_GRENADE]       = m_OwnerMesh.GetAnimID(m_nRootElementID, A_THROW_GRENADE + BuildSeqID(weaponType, nSpeed, 1, 0));


        if ( bPumpAction )
            m_aAnims[A_WEAPON_FIRE] = m_OwnerMesh.GetAnimID(m_nTorsoElementID, A_WEAPON_FIRE + BuildSeqID(weaponType, nSpeed, nDisableAiming,0));
        else
            m_aAnims[A_WEAPON_FIRE] = m_OwnerMesh.GetAnimID(m_nTorsoElementID, A_WEAPON_FIRE + BuildSeqID(weaponType, nSpeed, nDisableAiming,1));
    }
}


