public class ScenariosFilterAnimal extends Generator
{
	ScenariosFilterAnimal(AIController controller)
	{
		super(controller);
		
		m_GenScenarios.SetBit(AnimalAttack._ID);		
        m_GenScenarios.SetBit(EditorAppear._ID);
		m_GenScenarios.SetBit(EditorMove._ID);
		m_GenScenarios.SetBit(EditorPlayAnim._ID);
		m_GenScenarios.SetBit(EditorPlayRandomAnims._ID);
		m_GenScenarios.SetBit(IdlePlayAnim_Animal._ID);
        m_GenScenarios.SetBit(IdleWalk._ID);
		m_GenScenarios.SetBit(LookAroundAlarmed_Animal._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        m_CurrScenarios.Set(m_GenScenarios);
		
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n"); 
#endif
    }
}
