public class SilenceBroken_Animal extends Generator
{
	SilenceBroken_Animal(AIController controller)
	{
		super(controller);
        
		m_GenScenarios.SetAllBits();
		m_GenScenarios.ClearBit(LookAroundAlarmed_Animal._ID);				
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();

		if (m_Controller.GetActiveEnemy() == null)
		{
			if (m_Controller.JustHeardRicochet() ||
				m_Controller.JustHeardExplosion() ||
				m_Controller.JustHeardEnemyShot() ||
				m_Controller.JustHeardScream() ||
                m_Controller.JustHeardEnemySteps())
			{
				m_CurrScenarios.SetAllBits();
			}
			else
				m_CurrScenarios.Set(m_GenScenarios);
        }
		else
			m_CurrScenarios.Set(m_GenScenarios);

#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, 
                          "JustHeardRicochet():" + m_Controller.JustHeardRicochet()+
                          ", JustHeardExplosion():" + m_Controller.JustHeardExplosion() +
                          ", JustHeardEnemyShot():" + m_Controller.JustHeardEnemyShot() +
                          ", JustHeardScream():" + m_Controller.JustHeardScream() +
                          ", JustHeardEnemySteps():" + m_Controller.JustHeardEnemySteps());		
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif        
	}
}
