/** generator ustawiajacy scenariusz drive jezeli jestesmy w pojezdzie i nic innego
 * nie mamy do roboty */
public class InVehicle extends Generator
{
	InVehicle(AIController controller)
	{
		super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(EditorDrive._ID);
        m_GenScenarios.ClearBit(EditorCannon._ID);
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();

        if (m_Controller.InsideCannon())
        {
		    m_CurrScenarios.ClearAllBits();
		    m_CurrScenarios.SetBit(EditorCannon._ID);
        }
        else
		if ( (!m_Controller.ShouldPerformEditorActivity()) && m_Controller.InsideVehicle() )
		{
			m_CurrScenarios.ClearAllBits();
			m_CurrScenarios.SetBit(EditorDrive._ID);
		}
        else
		{
			m_CurrScenarios.Set(m_GenScenarios);
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              " ShouldPerformEditorActivity():" + m_Controller.ShouldPerformEditorActivity() +
                              ", InsideVehicle():" + m_Controller.InsideVehicle() +
                              ", InsideCannon():" + m_Controller.InsideCannon());
#endif            
		}
		
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif        
	}
}