/** generator filtrujacy scenariusz poszukiwania przeciwnika */
public class ShouldLookForEnemy extends Generator
{	
    ShouldLookForEnemy(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(LookForEnemy._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if ( ((m_Controller.GetActiveEnemy() == null) &&
              (m_Controller.GetAlarmLevel() >= m_Controller._ALARM_LEVEL_MEDIUM)) ||
             ((m_Controller.GetActiveEnemy() != null) &&
              (!m_Controller.IsHidingBehindHideout()) &&
              (// HACK by gdy widzi z guna a nie widzi z oczu tez szukal przeciwnika - zamienic specjalnym scenariuszem
               /**m_Controller.ActiveEnemyVisibilityLostMoreThanShort() && */
               m_Controller.ActiveEnemyGunTraceLostMoreThanShort())) )
        {
            /* mozemy szukac, gdy:
             1. Nie mamy przeciwnika i jestesmy przez cos zaalarmowani
             2. Mamy przeciwnika, od pewnego czasu nie
             mamy informacji o jego pozycji i nie chowamy sie za chowaczem
             */
            m_CurrScenarios.SetAllBits();
        }
        else
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "GetActiveEnemy():" + m_Controller.GetActiveEnemy() +
                                                     ", ActiveEnemyVisibilityLostMoreThanShort():" + m_Controller.ActiveEnemyVisibilityLostMoreThanShort() +
                                                     ", ActiveEnemyGunTraceLostMoreThanShort():" + m_Controller.ActiveEnemyGunTraceLostMoreThanShort() +
                                                     ", IsHidingBehindHideout():" + m_Controller.IsHidingBehindHideout());
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}