public class FallDownToShoot extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;

    void PrepareScenario(AIController ai)
	{
        ChromeActor cEnemy = ai.GetActiveEnemy();
        ai.AddTask(new TaskMotionStateChange(MotionState.SPEED_CRAWL));
        if (cEnemy != null)
        {
         	ai.AddTask(new TaskTurnAtPos(cEnemy.GetPosition()));
            ai.AddTask(new TaskTrackingStart(cEnemy));
            ai.AddTask(new TaskStartFire());
            ai.AddTask(new TaskWait(5));
            ai.AddCleaningTask(new TaskStopFire());
            ai.AddCleaningTask(new TaskTrackingStop());
        }

        super.PrepareScenario(ai);
	}
    
    public String toString()
    {
        return "FDtS";
    }
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
