public class GotoHideout extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;

    GotoHideout()
    {
        m_fProbability = 5; // TODO: przerzucic gdzies	
    }
    
    void PrepareScenario(AIController ai)
    {
        Vector vDestDir = new Vector(ai.GetDestHideoutPos());
        vDestDir.Sub(ai.GetMesh().GetPosition());
        vDestDir.fY = 0;
        vDestDir.Normalize();

        if (ai.m_nLastPreparedScenario != GetID())
            ai.AddTask(new TaskScream(RadioCommunicationSystem._RADIO_MSG_COVER_ME, TaskScream._SOURCE_RADIO));

        ai.AddTask(new TaskMotionStateChange(MotionState.SPEED_RUN));
        ai.AddTask(new TaskTurnAtDir(vDestDir));
        ai.AddTask(new TaskTrackingStop()); 
        ai.AddTask(new TaskStopFire());

        ai.AddTask(new TaskGotoPos(ai.GetDestHideoutPos(), 10f));
        
        super.PrepareScenario(ai);
    }
    
    public String toString()
    {
        return "GH";
    }

    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }
}
