public class ThrowGrenade extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;
    
    // prawdopodobienstwo, ze rzuci granatem nie zwazajac na postrzaly...
    static int _CHANCE_TO_THROW_WHILE_HIT = 50;
    
    {
        m_fProbability = 2;
    }
    
	void PrepareScenario(AIController ai)
	{
		ChromeActor enemy = ai.GetActiveEnemy();

		ai.AddTask(new TaskMotionStateChange(MotionState.SPEED_RUN));
		ai.AddTask(new TaskStopFire());
        
        if (enemy != null)
        {
    		ai.AddTask(new TaskTurnAtPos(enemy.GetPosition()));
	        ai.AddTask(new TaskTrackingStart(enemy));
		}
        //ai.AddTask(new TaskWait(0.5f));
        
		if (enemy != null)
        {
            ai.AddTask(new TaskScream(RadioCommunicationSystem._RADIO_MSG_FIRE_IN_THE_HOLE, TaskScream._SOURCE_RADIO));
            if (MathUtils.CanHappen(_CHANCE_TO_THROW_WHILE_HIT))
            {
                ai.AddTask(new TaskEnableHitReaction(false));
       		    ai.AddCleaningTask(new TaskThrowGrenade(enemy.GetPosition(), ((AIControllerHuman)ai).GetLastCheckedGrenadeTrajectoryHeight()));
            }
            else
       		    ai.AddTask(new TaskThrowGrenade(enemy.GetPosition(), ((AIControllerHuman)ai).GetLastCheckedGrenadeTrajectoryHeight()));
            ai.AddCleaningTask(new TaskEnableHitReaction(true));
        }
		ai.AddCleaningTask(new TaskTrackingStop());
        
        super.PrepareScenario(ai);
	}
	
    public String toString()
    {
        return "TG";
    }
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
