/** Scenariusz odpowiadajacy za reakcje na zauwazenie przeciwnika - powitanie go
 */
public class ReactOnEnemyPresence_W extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;
    
    /** Prawdopodobienstwo [%], ze AI krzyknie na widok przeciwnika */
    public static int _SCREAM_CHANCE = 50;
    
	void PrepareScenario(AIController ai)
	{    
        ChromeActor cEnemy = ai.GetActiveEnemy();
        if (cEnemy != null)
            ai.AddTask(new TaskTrackingStart(cEnemy));

        if (MathUtils.CanHappen(_SCREAM_CHANCE))
            ai.AddTask(new TaskScream(NewAI._SCREAMTYPE_ENEMY_SPOTTED));
        
        ai.AddTask(new TaskTrackingStop());
       
        super.PrepareScenario(ai);
    }

    public String toString()
    {
        return "RoEP";
    }
    
    int GetID()
    {
        return _ID;   
    }        

}
