public class EditorObjective extends GameObject implements iact_EnableDisable, iact_Accomplish
{
    public int iObjectiveOrderNumber = 0;//#EDITOROBJECTIVE;Objective ordering number
    public String sTextID = "";//#EDITOROBJECTIVE;Objective description - identifier from localized strings
    public EditorLocation cLocation = null;//#EDITOROBJECTIVE;Location that this objective is connected to
    public boolean bEnableOnStart = true;//#EDITOROBJECTIVE;Should objective be enabled on mission start

    public void OnCreate()
    {
        if (cLocation != null)
            cLocation.cObjective = this;
    }
    
    public void Enable() {}
    public void Disable() {}
    public void Accomplish() {}
    public void Unaccomplish() {}
    public boolean IsEnabled() { return false; }
}
