/** Emitter dzwieku grajacy w glowie gracza. Sluzy do
 * robienia dzwiekow tla tak samo slyszalnych na calym levelu.
 */
public class SoundEmitterGlobalLoop extends SoundEmitterSimple
{
    void Init()
    {
        // ladujemy dzwiek
        nPlayedSound = AttachSound(sSoundName, 10000.0f, 10000.0f);
        
        // podlczamy sie do gracza
        ControlObject obj = (Player)GetObjectByName("lodzian");
        if( obj != null )
        {
            AttachAsChildTo(obj);
            
            PlaySound(nPlayedSound);
            SetSoundVolume(nPlayedSound, 1.0f);
        }
    }
    
    void Check()
    {
    }
    
    public void OnAudioReinitialize()
    {
        // ladujemy dzwiek
        nPlayedSound = AttachSound(sSoundName, 10000.0f, 10000.0f);
        PlaySound(nPlayedSound);
        SetSoundVolume(nPlayedSound, 1.0f);

    }
}
