public class EPassengerRole
{
	static final int _VEHICLE_NONE = -1;
	
	static final int _MIN = 0;
	static final int _VEHICLE_DRIVER = 0;
	static final int _VEHICLE_PASSENGER = 1;
    static final int _VEHICLE_PASSENGER_IDLE = 2;
	static final int _VEHICLE_ANY = 3;
	static final int _MAX = 2;
    
    static String GetRoleName(int nRole)
    {
        switch(nRole)
        {
        case _VEHICLE_DRIVER:
            return "&VehicleRoleDriver&";
        case _VEHICLE_PASSENGER:
            return "&VehicleRoleGunner&";
        case _VEHICLE_PASSENGER_IDLE:
            return "&VehicleRolePassengers&";
        }
        return "UNKNOWN";
    }
    
    static String GetRoleNameForTip(int nRole)
    {
        switch(nRole)
        {
        case _VEHICLE_DRIVER:
            return "&GET_IN_AS_DRIVER&";
        case _VEHICLE_PASSENGER:
            return "&GET_IN_AS_GUNNER&";
        case _VEHICLE_PASSENGER_IDLE:
            return "&GET_IN_AS_PASSENGER&";
        }
        return "UNKNOWN";
    }
}
            