class PhysicsSpeeder extends PhysicsVehicle
{
    PhysicsSpeeder()
    {
        //SG
    }
    
    PhysicsSpeeder(Vehicle vehicle)
	{
		m_Vehicle = vehicle;
		
		VehicleParams params = new VehicleParams();
		SetVehicleParams( params );
		
		m_fCurrGravity = 0;

		m_vVehicleNormal	= new Vector( Vector.Up );
		m_vVehicleForward	= m_Vehicle.GetForwardVector();
		m_vVehicleRight		= m_Vehicle.GetRightVector();
		m_vVehicleTForward	= new Vector(m_vVehicleForward);
		m_vVehicleTNormal	= new Vector(m_vVehicleNormal);
		m_vVehiclePosition	= m_Vehicle.GetPosition();
        
		m_vCollisionVector	= new Vector(0, 0, 0);
		m_vMoveDir			= new Vector(m_Vehicle.GetForwardVector());
		
        m_Params._SLIDE_SUPRESS = 700.0f;
		m_Params._ACCELERATION_COEF = 300f;
        m_Params._TREE_HIT_SUPR = 0.2f;
        
        m_Params._TURNING_SPEED = 3000.0f;
        m_Params._MAX_TURN_ANGLE = 90.0f;
            
		m_Params.SetMaxSpeed(2500f);
		
		m_bMotorLikeAlign = true;
	}

    void Init()
    {
        super.Init();
        
		_HALF_WHEEL_SIZE = 0;
        		
		m_nWheelCnt = 0;
		m_Wheels[0] = -1;
		m_Wheels[1] = -1;
		m_Wheels[2] = -1;
        m_Wheels[3] = -1;
        				
        m_WheelsBase[0] = -1;
		m_WheelsBase[1] = -1;
		m_WheelsBase[2] = -1;
		m_WheelsBase[3] = -1;
        
		for (int i = 0; i < _MAX_WHEELS; i++)
			vWheelTmp[i] = new Vector(0, 0, 0);
    }
}
